<%@ page language="java"%>
<%@ page errorPage="/common/Error.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<!-- %@ taglib uri="http://struts.apache.org/tags-html-el" prefix="html"%-->
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!-- %@ taglib uri="http://struts.apache.org/tags-tiles" prefix="tiles"%-->
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq"%>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display"%>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>

<jsu:importScript path="/js/listWidget.js"/>
<c:set var="widgetInstanceName" value="listAlerts" />
<jsu:script>
	var pageData = new Array();

	initializeWidgetProperties('${widgetInstanceName}');
	
	widgetProperties = getWidgetProperties('${widgetInstanceName}');  

	function setActiveInactive() {
    	document.RemoveConfigForm.setActiveInactive.value='y';
    	document.RemoveConfigForm.submit();
	}
</jsu:script>

<hq:pageSize var="pageSize" />
<c:url var="pnAction" value="/alerts/Config.do">
	<c:param name="mode" value="list" />
	<c:param name="aetid" value="${param.aetid}" />
	<c:if test="${not empty param.ps}">
		<c:param name="ps" value="${owasp:forUriComponent(param.ps)}" />
	</c:if>
	<c:if test="${not empty param.so}">
		<c:param name="so" value="${owasp:forUriComponent(param.so)}" />
	</c:if>
	<c:if test="${not empty param.sc}">
		<c:param name="sc" value="${owasp:forUriComponent(param.sc)}" />
	</c:if>
</c:url>
<c:url var="psAction" value="/alerts/Config.do">
	<c:param name="mode" value="list" />
	<c:param name="aetid" value="${param.aetid}" />
	<c:if test="${not empty param.ps}">
		<c:param name="pn" value="${owasp:forUriComponent(param.pn)}" />
	</c:if>
	<c:if test="${not empty param.so}">
		<c:param name="so" value="${owasp:forUriComponent(param.so)}" />
	</c:if>
	<c:if test="${not empty param.sc}">
		<c:param name="sc" value="${owasp:forUriComponent(param.sc)}" />
	</c:if>
</c:url>
<c:url var="sortAction" value="/alerts/Config.do">
	<c:param name="mode" value="list" />
	<c:param name="aetid" value="${param.aetid}" />
	<c:if test="${not empty param.pn}">
		<c:param name="pn" value="${owasp:forUriComponent(param.pn)}" />
	</c:if>
	<c:if test="${not empty param.ps}">
		<c:param name="ps" value="${owasp:forUriComponent(param.ps)}" />
	</c:if>
</c:url>
<c:url var="newAction" value="/alerts/Config.do">
	<c:param name="mode" value="new" />
	<c:if test="${not empty param.aetid}">
		<c:param name="aetid" value="${param.aetid}" />
	</c:if>
</c:url>
<c:url var="monitorAction" value="/admin/config/Config.do">
	<c:param name="mode" value="monitor" />
</c:url>

<c:set var="tmpTitle" value=".page.title.resource.${section}" />

<c:url var="adminAlertsRemoveConfigUrl" value="/admin/alerts/RemoveConfig.do" />

<tiles2:insertDefinition name="${tmpTitle}">
	<tiles2:putAttribute name="titleName">
		<a href="${monitorAction}">
			<fmt:message key="admin.home.ResourceTemplates" />
		</a> &gt; ${ResourceType.name} ${section}s
  	</tiles2:putAttribute>
</tiles2:insertDefinition>

<form:form action="${adminAlertsRemoveConfigUrl}" modelAttribute="RemoveConfigForm" name="RemoveConfigForm">
	<form:hidden path="aetid" />
	<c:if test="${not empty param.so}">
		<input type="hidden" name="so" value="${owasp:forUriComponent(param.so)}" />
	</c:if>
	<c:if test="${not empty param.sc}">
		<input type="hidden" name="sc" value="${owasp:forUriComponent(param.sc)}" />
	</c:if>

	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td class="ErrorBlock">
				<img src="/images/tt_error.gif" height="11" width="10" border="0" alt="" />
			</td>
			<td class="ErrorBlock" width="100%">
				<fmt:message key="admin.resource.alerts.Warning">
					<fmt:param value="${ResourceType.name}" />
				</fmt:message>
			</td>
		</tr>
	</table>

	<display:table cellspacing="0" cellpadding="0" width="100%" action="${sortAction}" items="${Definitions}">
		<display:column width="1%" property="id" title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetProperties)\" name=\"listToggleAll\">"  
                   isLocalizedTitle="false" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox" >
    		<display:checkboxdecorator name="definitions"
				onclick="ToggleSelection(this,widgetProperties)"
				styleClass="listMember" />
		</display:column>
		<display:column width="20%" property="name" sort="true" sortAttr="1"
			defaultSort="true"
			title="alerts.config.DefinitionList.ListHeader.AlertDefinition"
			href="/alerts/Config.do?mode=viewDefinition&aetid=${fn:escapeXml(param.aetid)}"
			paramId="ad" paramProperty="id" />
		<display:column width="20%" property="description"
			title="common.header.Description" />
		<display:column width="20%" property="ctime" sort="true" sortAttr="2"
			title="alerts.config.DefinitionList.ListHeader.DateCreated">
			<display:eventdatetimedecorator />
		</display:column>
		<display:column width="20%" property="enabled"
			title="alerts.config.DefinitionList.ListHeader.Active">
			<display:yesnobooleandecorator />
		</display:column>
	</display:table>

	<!--${Definitions.getTotalSize()}-->
       <tiles2:insertDefinition name=".toolbar.list">
		<tiles2:putAttribute name="listNewUrl" value="${newAction}" />
		<tiles2:putAttribute name="listItems" value="${Definitions}" />
		<tiles2:putAttribute name="listSize" value="${Definitions.getTotalSize()}" />
		<tiles2:putAttribute name="pageNumAction" value="${pnAction}" />
		<tiles2:putAttribute name="pageSizeAction" value="${psAction}" />
		<tiles2:putAttribute name="defaultSortColumn" value="1" />
		<tiles2:putAttribute name="widgetInstanceName" value="${widgetInstanceName}" />
		<tiles2:putAttribute name="goButtonLink" value="javascript:setActiveInactive()" />
	</tiles2:insertDefinition>




	<form:hidden path="setActiveInactive" />
</form:form>
<tiles2:insertDefinition name=".page.footer" />