<%@ page language="java"%>
<%@ page errorPage="/common/Error.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq"%>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>


<jsu:script>
    function checkDateStart(elt) {
        var index = elt.selectedIndex;
        var elems = elt.form.elements;
        for (var i = 0; i < elems.length; i++) {
            if (elems[i] == elt) {
                var startOption = elems[i].options[elems[i].selectedIndex].value;
                var endOption = elems[i + 1].options[elems[i + 1].selectedIndex].value;
                if (startOption == endOption) {
                    disableSaveButton();
                    alert('<fmt:message
		key="admin.role.error.SelectAnotherStartTime" />');
                } else {
                    enableSaveButton();
                }
            }
        }
    }

  function checkDateEnd(elt) {
      var index = elt.selectedIndex;
      var elems = elt.form.elements;
      for (var i = 0; i < elems.length; i++) {
          if (elems[i] == elt) {
              var endOption = elems[i].options[elems[i].selectedIndex].value;
              var startOption = elems[i - 1].options[elems[i - 1].selectedIndex].value;
              if (endOption == startOption) {
                  disableSaveButton();
                  alert('<fmt:message
		key="admin.role.error.SelectAnotherEndTime" />');
              } else {
                   enableSaveButton();
              }
          }
        }
  }

     function enableSaveButton() {
    var form = document.forms['roleCalendarForm'];
    for (var i = 0; i < form.elements.length; i++) {
        if (form.elements[i].type == 'submit' &&
            form.elements[i].className == 'CompactButtonInactive') {
            form.elements[i].disabled = false;
            form.elements[i].className = 'CompactButton';
        }
    }
  }

   function disableSaveButton() {
    var form = document.forms['roleCalendarForm'];
    for (var i = 0; i < form.elements.length; i++) {
        if (form.elements[i].type == 'submit' &&
            form.elements[i].className == 'CompactButton') {
            form.elements[i].disabled = false;
            form.elements[i].className = 'CompactButtonInactive';
        }
    }
  }
</jsu:script>

<tiles:insertDefinition name=".header.tab">
	<tiles:putAttribute name="tabKey"
		value="admin.role.props.AlertCalendarTab" />
</tiles:insertDefinition>

<!--  ALERT CALENDAR -->
<c:url var="SaveNotificationCalendarUrl"
	value="/admin/role/SaveNotificationCalendar.do" />
<form:form action="${SaveNotificationCalendarUrl}" method="POST"
	modelAttribute="roleCalendarForm">
	<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
	<table width="100%" cellspacing="0" class="TableBottomLine">
		<tr>
			<td class="BlockLabel" width="5%"><form:checkbox
					path="weekdays[1]" onclick="enableSaveButton()" /></td>
			<td class="BlockLabel" width="10%"
				style="text-align: left; padding: 6px;"><fmt:message
					key="admin.role.alert.Monday" /></td>
			<td class="BlockLabel" width="5%"><fmt:message
					key="admin.role.alert.from" /></td>

			<c:set var="starts1Error">
				<form:errors path="starts[1]" />
			</c:set>
			<c:choose>
				<c:when test="${not empty starts1Error}">
					<td class="ErrorField" width="5%">
				</c:when>
				<c:otherwise>
					<td class="BlockContent" width="5%">
				</c:otherwise>
			</c:choose>
			<form:select path="starts[1]" onchange="checkDateStart(this)">
				<form:options items="${roleCalendarForm.startOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			</td>
			<td class="BlockLabel" width="5%"><fmt:message
					key="admin.role.alert.to" /></td>
			<c:choose>
				<c:when test="${not empty starts1Error}">
					<td class="ErrorField" width="23%"><table>
							<tr>
								<td>
				</c:when>
				<c:otherwise>
					<td class="BlockContent" width="23%">
				</c:otherwise>
			</c:choose>
			<%-- <logic:messagesNotPresent property="starts[1]"><td class="BlockContent" width="23%"></logic:messagesNotPresent> --%>
			<form:select path="ends[1]" onchange="checkDateEnd(this)">
				<form:options items="${roleCalendarForm.endOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			<c:if test="${not empty starts1Error}">
				</td>
				<td class=ErrorFieldContent><form:errors path="starts[1]" /></td>
		</tr>
	</table>
	</c:if>
	</td>

	<td class="BlockLabel" width="5%"><form:checkbox path="excepts[1]"
			onclick="enableSaveButton()" /></td>
	<td class="BlockLabel" width="8%" style="text-align: left;"><fmt:message
			key="admin.role.alert.except" /></td>
	<td class="BlockLabel" width="5%"><fmt:message
			key="admin.role.alert.from" /></td>

	<c:set var="exstarts1Error">
		<form:errors path="exstarts[1]" />
	</c:set>
	<c:choose>
		<c:when test="${not empty exstarts1Error}">
			<td class="ErrorField" width="5%">
		</c:when>
		<c:otherwise>
			<td class="BlockContent" width="5%">
		</c:otherwise>
	</c:choose>
	<form:select path="exstarts[1]" onchange="checkDateStart(this)">
		<form:options items="${roleCalendarForm.startOptions}"
			itemLabel="label" itemValue="value" />
	</form:select>
	</td>
	<td class="BlockLabel" width="5%"><fmt:message
			key="admin.role.alert.to" /></td>
	<c:choose>
		<c:when test="${not empty exstarts1Error}">
			<td class="ErrorField" width="22%"><table>
					<tr>
						<td>
		</c:when>
		<c:otherwise>
			<td class="BlockContent" width="22%">
		</c:otherwise>
	</c:choose>

	<form:select path="exends[1]" onchange="checkDateEnd(this)">
		<form:options items="${roleCalendarForm.endOptions}" itemLabel="label"
			itemValue="value" />
	</form:select>
	<c:if test="${not empty exstarts1Error}">
		</td>
		<td class="ErrorFieldContent"><form:errors path="exstarts[1]" /></td>
		</tr>
		</table>
	</c:if>
	</td>
	</tr>
	<tr>
		<td colspan="12" class="BlockBottomLine"></td>
	</tr>
	<tr>
		<td class="BlockLabel"><form:checkbox path="weekdays[2]"
				onclick="enableSaveButton()" /></td>
		<td class="BlockLabel" style="text-align: left; padding: 6px;"><fmt:message
				key="admin.role.alert.Tuesday" /></td>
		<td class="BlockLabel"><fmt:message key="admin.role.alert.from" /></td>

		<c:set var="starts2Error">
			<form:errors path="starts[2]" />
		</c:set>
		<c:choose>
			<c:when test="${not empty starts2Error}">
				<td class="ErrorField">
			</c:when>
			<c:otherwise>
				<td class="BlockContent">
			</c:otherwise>
		</c:choose>

		<form:select path="starts[2]" onchange="checkDateStart(this)">
			<form:options items="${roleCalendarForm.startOptions}"
				itemLabel="label" itemValue="value" />
		</form:select>
		</td>
		<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>
		<c:choose>
			<c:when test="${not empty starts2Error}">
				<td class="ErrorField"><table>
						<tr>
							<td>
			</c:when>
			<c:otherwise>
				<td class="BlockContent">
			</c:otherwise>
		</c:choose>
		<form:select path="ends[2]" onchange="checkDateEnd(this)">
			<form:options items="${roleCalendarForm.endOptions}"
				itemLabel="label" itemValue="value" />
		</form:select>
		<c:if test="${not empty starts2Error}">
			</td>
			<td class="ErrorFieldContent"><form:errors path="starts[2]" /></td>
	</tr>
	</table>
	</c:if>
	</td>

	<td class="BlockLabel"><form:checkbox path="excepts[2]"
			onclick="enableSaveButton()" /></td>
	<td class="BlockLabel" style="text-align: left;"><fmt:message
			key="admin.role.alert.except" /></td>
	<td class="BlockLabel"><fmt:message key="admin.role.alert.from" />
	</td>

	<c:set var="exstarts2Error">
		<form:errors path="exstarts[2]" />
	</c:set>
	<c:choose>
		<c:when test="${not empty exstarts2Error}">
			<td class="ErrorField">
		</c:when>
		<c:otherwise>
			<td class="BlockContent">
		</c:otherwise>
	</c:choose>
	<form:select path="exstarts[2]" onchange="checkDateStart(this)">
		<form:options items="${roleCalendarForm.startOptions}"
			itemLabel="label" itemValue="value" />
	</form:select>
	</td>
	<td class="BlockLabel"><fmt:message key="admin.role.alert.to" />
	</td>
	<c:choose>
		<c:when test="${not empty exstarts2Error}">
			<td class="ErrorField"><table>
					<tr>
						<td>
		</c:when>
		<c:otherwise>
			<td class="BlockContent">
		</c:otherwise>
	</c:choose>
	<form:select path="exends[2]" onchange="checkDateEnd(this)">
		<form:options items="${roleCalendarForm.endOptions}" itemLabel="label"
			itemValue="value" />
	</form:select>
	<c:if test="${not empty exstarts2Error}">
		<td class="ErrorFieldContent"><form:errors path="exstarts[2]" /></td>
	</tr>
	</table>
	</c:if>
	</td>
	</tr>
	<tr>
		<td colspan="12" class="BlockBottomLine"></td>
	</tr>
	<tr>
		<td class="BlockLabel"><form:checkbox path="weekdays[3]"
				onclick="enableSaveButton()" /></td>
		<td class="BlockLabel" style="text-align: left; padding: 6px;"><fmt:message
				key="admin.role.alert.Wednesday" /></td>
		<td class="BlockLabel"><fmt:message key="admin.role.alert.from" /></td>

		<c:set var="starts3Error">
			<form:errors path="starts[3]" />
		</c:set>
		<c:choose>
			<c:when test="${not empty starts3Error}">
				<td class="ErrorField">
			</c:when>
			<c:otherwise>
				<td class="BlockContent">
			</c:otherwise>
		</c:choose>

		<form:select path="starts[3]" onchange="checkDateStart(this)">
			<form:options items="${roleCalendarForm.startOptions}"
				itemLabel="label" itemValue="value" />
		</form:select>
		</td>
		<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>
		<c:choose>
			<c:when test="${not empty starts3Error}">
				<td class="ErrorField"><table>
						<tr>
							<td>
			</c:when>
			<c:otherwise>
				<td class="BlockContent">
			</c:otherwise>
		</c:choose>
		<form:select path="ends[3]" onchange="checkDateEnd(this)">
			<form:options items="${roleCalendarForm.endOptions}"
				itemLabel="label" itemValue="value" />
		</form:select>
		<c:if test="${not empty starts3Error}">
			</td>
			<td class="ErrorFieldContent"><form:errors path="starts[3]" /></td>
	</tr>
	</table>
	</c:if>
	</td>
	<td class="BlockLabel"><form:checkbox path="excepts[3]"
			onclick="enableSaveButton()" /></td>
	<td class="BlockLabel" style="text-align: left;"><fmt:message
			key="admin.role.alert.except" /></td>
	<td class="BlockLabel"><fmt:message key="admin.role.alert.from" />
	</td>

	<c:set var="exstarts3Error">
		<form:errors path="exstarts[3]" />
	</c:set>
	<c:choose>
		<c:when test="${not empty exstarts3Error}">
			<td class="ErrorField">
 		</c:when>
	  	<c:otherwise>
			<td class="BlockContent">
		</c:otherwise> 
	</c:choose> 
		<form:select path="exstarts[3]" onchange="checkDateStart(this)">
			<form:options items="${roleCalendarForm.startOptions}"
				itemLabel="label" itemValue="value" />
		</form:select></td>
		<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>

		<c:choose>
			<c:when test="${not empty exstarts3Error}">
				<td class="ErrorField"><table><tr><td>
			</c:when> 
			<c:otherwise>
			    <td class="BlockContent">
			</c:otherwise> 
		</c:choose> 
			<form:select path="exends[3]"
				onchange="checkDateEnd(this)">
				<form:options items="${roleCalendarForm.endOptions}"
					itemLabel="label" itemValue="value" />
			</form:select> 
		<c:if test="${not empty exstarts3Error}"></td><td class="ErrorFieldContent"><form:errors path="exstarts[3]" /></td></tr></table>
		 </c:if>
		 </td></tr>
					<tr>
						<td colspan="12" class="BlockBottomLine"></td>
					</tr>
					<tr>
						<td class="BlockLabel"><form:checkbox path="weekdays[4]"
								onclick="enableSaveButton()" /></td>
						<td class="BlockLabel" style="text-align: left; padding: 6px;">
							<fmt:message key="admin.role.alert.Thursday" />
						</td>
						<td class="BlockLabel"><fmt:message
								key="admin.role.alert.from" /></td>

						<c:set var="starts4Error">
							<form:errors path="starts[4]" />
						</c:set>
						<c:choose>
							<c:when test="${not empty starts4Error}">
								<td class="ErrorField">
							</c:when>
							<c:otherwise>
								<td class="BlockContent">
							</c:otherwise>
						</c:choose>
						<form:select path="starts[4]" onchange="checkDateStart(this)">
							<form:options items="${roleCalendarForm.startOptions}"
								itemLabel="label" itemValue="value" />
						</form:select>
						</td>
						<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>

						<c:choose>
							<c:when test="${not empty starts4Error}">
								<td class="ErrorField"><table>
										<tr>
											<td>
							</c:when>
							<c:otherwise>
								<td class="BlockContent">
							</c:otherwise>
						</c:choose>
						<form:select path="ends[4]" onchange="checkDateEnd(this)">
							<form:options items="${roleCalendarForm.endOptions}"
								itemLabel="label" itemValue="value" />
						</form:select>
						<c:if test="${not empty starts4Error}">
							</td>
							<td class="ErrorFieldContent"><form:errors path="starts[4]" /></td>
					</tr>
				</table> </c:if></td>
			<td class="BlockLabel"><form:checkbox path="excepts[4]"
					onclick="enableSaveButton()" /></td>
			<td class="BlockLabel" style="text-align: left;"><fmt:message
					key="admin.role.alert.except" /></td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.from" />
			</td>

			<c:set var="exstarts4Error">
				<form:errors path="exstarts[4]" />
			</c:set>
			<c:choose>
				<c:when test="${not empty exstarts4Error}">
					<td class="ErrorField">
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exstarts[4]" onchange="checkDateStart(this)">
				<form:options items="${roleCalendarForm.startOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			</td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.to" />
			</td>

			<c:choose>
				<c:when test="${not empty exstarts4Error}">
					<td class="ErrorField"><table>
							<tr>
								<td>
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exends[4]" onchange="checkDateEnd(this)">
				<form:options items="${roleCalendarForm.endOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			<c:if test="${not empty exstarts4Error}">
				</td>
				<td class="ErrorFieldContent"><form:errors path="exstarts[4]" /></td>
				</tr>
				</table>
			</c:if>
			</td>
			</tr>
			<tr>
				<td colspan="12" class="BlockBottomLine"></td>
			</tr>
			<tr>
				<td class="BlockLabel"><form:checkbox path="weekdays[5]"
						onclick="enableSaveButton()" /></td>
				<td class="BlockLabel" style="text-align: left; padding: 6px;">
					<fmt:message key="admin.role.alert.Friday" />
				</td>
				<td class="BlockLabel"><fmt:message key="admin.role.alert.from" /></td>

				<c:set var="starts5Error">
					<form:errors path="starts[5]" />
				</c:set>
				<c:choose>
					<c:when test="${not empty starts5Error}">
						<td class="ErrorField">
					</c:when>
					<c:otherwise>
						<td class="BlockContent">
					</c:otherwise>
				</c:choose>
				<form:select path="starts[5]" onchange="checkDateStart(this)">
					<form:options items="${roleCalendarForm.startOptions}"
						itemLabel="label" itemValue="value" />
				</form:select>
				</td>
				<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>
				<c:choose>
					<c:when test="${not empty starts5Error}">
						<td class="ErrorField"><table>
								<tr>
									<td>
					</c:when>
					<c:otherwise>
						<td class="BlockContent">
					</c:otherwise>
				</c:choose>
				<form:select path="ends[5]" onchange="checkDateEnd(this)">
					<form:options items="${roleCalendarForm.endOptions}"
						itemLabel="label" itemValue="value" />
				</form:select>
				<c:if test="${not empty starts5Error}">
					</td>
					<td class="ErrorFieldContent"><form:errors path="starts[5]" /></td>
			</tr>
			</table>
			</c:if>
			</td>
			<td class="BlockLabel"><form:checkbox path="excepts[5]"
					onclick="enableSaveButton()" /></td>
			<td class="BlockLabel" style="text-align: left;"><fmt:message
					key="admin.role.alert.except" /></td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.from" />
			</td>

			<c:set var="exstarts5Error">
				<form:errors path="exstarts[5]" />
			</c:set>
			<c:choose>
				<c:when test="${not empty exstarts5Error}">
					<td class="ErrorField">
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exstarts[5]" onchange="checkDateStart(this)">
				<form:options items="${roleCalendarForm.startOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			</td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.to" />
			</td>
			<c:choose>
				<c:when test="${not empty exstarts5Error}">
					<td class="ErrorField"><table>
							<tr>
								<td>
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exends[5]" onchange="checkDateEnd(this)">
				<form:options items="${roleCalendarForm.endOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			<c:if test="${not empty exstarts5Error}">
				</td>
				<td class="ErrorFieldContent"><form:errors path="exstarts[5]" /></td>
				</tr>
				</table>
			</c:if>
			</td>
			</tr>
			<tr>
				<td colspan="12" class="BlockBottomLine"></td>
			</tr>
			<tr>
				<td class="BlockLabel"><form:checkbox path="weekdays[6]"
						onclick="enableSaveButton()" /></td>
				<td class="BlockLabel" style="text-align: left; padding: 6px;">
					<fmt:message key="admin.role.alert.Saturday" />
				</td>
				<td class="BlockLabel"><fmt:message key="admin.role.alert.from" /></td>

				<c:set var="starts6Error">
					<form:errors path="starts[6]" />
				</c:set>
				<c:choose>
					<c:when test="${not empty starts6Error}">
						<td class="ErrorField">
					</c:when>
					<c:otherwise>
						<td class="BlockContent">
					</c:otherwise>
				</c:choose>
				<form:select path="starts[6]" onchange="checkDateStart(this)">
					<form:options items="${roleCalendarForm.startOptions}"
						itemLabel="label" itemValue="value" />
				</form:select>
				</td>
				<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>

				<c:choose>
					<c:when test="${not empty starts6Error}">
						<td class="ErrorField"><table>
								<tr>
									<td>
					</c:when>
					<c:otherwise>
						<td class="BlockContent">
					</c:otherwise>
				</c:choose>
				<form:select path="ends[6]" onchange="checkDateEnd(this)">
					<form:options items="${roleCalendarForm.endOptions}"
						itemLabel="label" itemValue="value" />
				</form:select>
				<c:if test="${not empty starts6Error}">
					</td>
					<td class="ErrorFieldContent"><form:errors path="starts[6]" /></td>
			</tr>
			</table>
			</c:if>
			</td>
			<td class="BlockLabel"><form:checkbox path="excepts[6]"
					onclick="enableSaveButton()" /></td>
			<td class="BlockLabel" style="text-align: left;"><fmt:message
					key="admin.role.alert.except" /></td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.from" />
			</td>
			<c:set var="exstarts6Error">
				<form:errors path="exstarts[6]" />
			</c:set>
			<c:choose>
				<c:when test="${not empty exstarts6Error}">
					<td class="ErrorField">
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exstarts[6]" onchange="checkDateStart(this)">
				<form:options items="${roleCalendarForm.startOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			</td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.to" />
			</td>

			<c:choose>
				<c:when test="${not empty exstarts6Error}">
					<td class="ErrorField"><table>
							<tr>
								<td>
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exends[6]" onchange="checkDateEnd(this)">
				<form:options items="${roleCalendarForm.endOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			<c:if test="${not empty exstarts6Error}">
				</td>
				<td class="ErrorFieldContent"><form:errors path="exstarts[6]" /></td>
				</tr>
				</table>
			</c:if>
			</td>
			</tr>
			<tr>
				<td colspan="12" class="BlockBottomLine"></td>
			</tr>
			<tr>
				<td class="BlockLabel"><form:checkbox path="weekdays[0]"
						onclick="enableSaveButton()" /></td>
				<td class="BlockLabel" style="text-align: left; padding: 6px;">
					<fmt:message key="admin.role.alert.Sunday" />
				</td>
				<td class="BlockLabel"><fmt:message key="admin.role.alert.from" /></td>

				<c:set var="starts0Error">
					<form:errors path="starts[0]" />
				</c:set>
				<c:choose>
					<c:when test="${not empty starts0Error}">
						<td class="ErrorField">
					</c:when>
					<c:otherwise>
						<td class="BlockContent">
					</c:otherwise>
				</c:choose>
				<form:select path="starts[0]" onchange="checkDateStart(this)">
					<form:options items="${roleCalendarForm.startOptions}"
						itemLabel="label" itemValue="value" />
				</form:select>
				</td>
				<td class="BlockLabel"><fmt:message key="admin.role.alert.to" /></td>
				<c:choose>
					<c:when test="${not empty starts0Error}">
						<td class="ErrorField"><table>
								<tr>
									<td>
					</c:when>
					<c:otherwise>
						<td class="BlockContent">
					</c:otherwise>
				</c:choose>
				<form:select path="ends[0]" onchange="checkDateEnd(this)">
					<form:options items="${roleCalendarForm.endOptions}"
						itemLabel="label" itemValue="value" />
				</form:select>
				<c:if test="${not empty starts0Error}">
					</td>
					<td class="ErrorFieldContent"><form:errors path="starts[0]" /></td>
			</tr>
			</table>
			</c:if>
			</td>
			<td class="BlockLabel"><form:checkbox path="excepts[0]"
					onclick="enableSaveButton()" /></td>
			<td class="BlockLabel" style="text-align: left;"><fmt:message
					key="admin.role.alert.except" /></td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.from" />
			</td>

			<c:set var="exstarts0Error">
				<form:errors path="exstarts[0]" />
			</c:set>
			<c:choose>
				<c:when test="${not empty exstarts0Error}">
					<td class="ErrorField">
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exstarts[0]" onchange="checkDateStart(this)">
				<form:options items="${roleCalendarForm.startOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			</td>
			<td class="BlockLabel"><fmt:message key="admin.role.alert.to" />
			</td>
			<c:choose>
				<c:when test="${not empty exstarts0Error}">
					<td class="ErrorField"><table>
							<tr>
								<td>
				</c:when>
				<c:otherwise>
					<td class="BlockContent">
				</c:otherwise>
			</c:choose>
			<form:select path="exends[0]" onchange="checkDateEnd(this)">
				<form:options items="${roleCalendarForm.endOptions}"
					itemLabel="label" itemValue="value" />
			</form:select>
			<c:if test="${not empty exstarts0Error}">
				</td>
				<td class="ErrorFieldContent"><form:errors path="exstarts[0]" /></td>
				</tr>
				</table>
			</c:if>
			</td>
			</tr>
			<c:if test="${useroperations['modifySubject']}">
				<tr class="ToolbarContent">
					<td colspan="12" class="ListCell" style="padding: 5px;"><input
						type="submit" name="buttonAction"
						value="<fmt:message key="common.label.Save"/>"
						class="CompactButtonInactive" disabled="true"></td>
				</tr>
			</c:if>
			</table>
			<form:hidden path="r" />
</form:form>
<!--  /  -->
