<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>


<c:url var="AddUserRolesUrl" value="/admin/user/AddUserRoles.do"/>
<form:form method="POST" action="${AddUserRolesUrl}" modelAttribute="AddUserRolesForm">
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<tiles:insertDefinition name=".portlet.error"/>
<jsu:importScript path="/js/addRemoveWidget.js" />
<c:set var="widgetInstanceName" value="addRoles"/>
<jsu:script>
	var pageData = new Array();
	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	widgetProperties = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
</jsu:script>
<c:url var="selfPnaAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="addRoles"/>
  <c:param name="u" value="${User.id}"/>
  <c:if test="${not empty param.psa}">
    <c:param name="psa" value="${owasp:forUriComponent(param.psa)}"/>
  </c:if>
  <c:if test="${not empty param.soa}">
    <c:param name="soa" value="${owasp:forUriComponent(param.soa)}"/>
  </c:if>
  <c:if test="${not empty param.sca}">
    <c:param name="sca" value="${owasp:forUriComponent(param.sca)}"/>
  </c:if>
  <c:if test="${not empty param.psp}">
    <c:param name="psp" value="${owasp:forUriComponent(param.psp)}"/>
  </c:if>
  <c:if test="${not empty param.pnp}">
    <c:param name="pnp" value="${owasp:forUriComponent(param.pnp)}"/>
  </c:if>
  <c:if test="${not empty param.sop}">
    <c:param name="sop" value="${owasp:forUriComponent(param.sop)}"/>
  </c:if>
  <c:if test="${not empty param.scp}">
    <c:param name="scp" value="${owasp:forUriComponent(param.scp)}"/>
  </c:if>
</c:url>

<c:url var="selfPnpAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="addRoles"/>
  <c:param name="u" value="${User.id}"/>
  <c:if test="${not empty param.psa}">
    <c:param name="psa" value="${owasp:forUriComponent(param.psa)}"/>
  </c:if>
  <c:if test="${not empty param.pna}">
    <c:param name="pna" value="${owasp:forUriComponent(param.pna)}"/>
  </c:if>
  <c:if test="${not empty param.soa}">
    <c:param name="soa" value="${owasp:forUriComponent(param.soa)}"/>
  </c:if>
  <c:if test="${not empty param.sca}">
    <c:param name="sca" value="${owasp:forUriComponent(param.sca)}"/>
  </c:if>
  <c:if test="${not empty param.psp}">
    <c:param name="psp" value="${owasp:forUriComponent(param.psp)}"/>
  </c:if>
  <c:if test="${not empty param.sop}">
    <c:param name="sop" value="${owasp:forUriComponent(param.sop)}"/>
  </c:if>
  <c:if test="${not empty param.scp}">
    <c:param name="scp" value="${owasp:forUriComponent(param.scp)}"/>
  </c:if>
</c:url>

<c:url var="selfPsaAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="addRoles"/>
  <c:param name="u" value="${User.id}"/>
  <c:if test="${not empty param.pna}">
    <c:param name="pna" value="${owasp:forUriComponent(param.pna)}"/>
  </c:if>
  <c:if test="${not empty param.soa}">
    <c:param name="soa" value="${owasp:forUriComponent(param.soa)}"/>
  </c:if>
  <c:if test="${not empty param.sca}">
    <c:param name="sca" value="${owasp:forUriComponent(param.sca)}"/>
  </c:if>
  <c:if test="${not empty param.pnp}">
    <c:param name="pnp" value="${owasp:forUriComponent(param.pnp)}"/>
  </c:if>
  <c:if test="${not empty param.psp}">
    <c:param name="psp" value="${owasp:forUriComponent(param.psp)}"/>
  </c:if>
  <c:if test="${not empty param.sop}">
    <c:param name="sop" value="${owasp:forUriComponent(param.sop)}"/>
  </c:if>
  <c:if test="${not empty param.scp}">
    <c:param name="scp" value="${owasp:forUriComponent(param.scp)}"/>
  </c:if>
</c:url>

<c:url var="selfPspAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="addRoles"/>
  <c:param name="u" value="${User.id}"/>
  <c:if test="${not empty param.pna}">
    <c:param name="pna" value="${owasp:forUriComponent(param.pna)}"/>
  </c:if>
  <c:if test="${not empty param.psa}">
    <c:param name="psa" value="${owasp:forUriComponent(param.psa)}"/>
  </c:if>
  <c:if test="${not empty param.soa}">
    <c:param name="soa" value="${owasp:forUriComponent(param.soa)}"/>
  </c:if>
  <c:if test="${not empty param.sca}">
    <c:param name="sca" value="${owasp:forUriComponent(param.sca)}"/>
  </c:if>
  <c:if test="${not empty param.pnp}">
    <c:param name="pnp" value="${owasp:forUriComponent(param.pnp)}"/>
  </c:if>
  <c:if test="${not empty param.sop}">
    <c:param name="sop" value="${owasp:forUriComponent(param.sop)}"/>
  </c:if>
  <c:if test="${not empty param.scp}">
    <c:param name="scp" value="${owasp:forUriComponent(param.scp)}"/>
  </c:if>
</c:url>

<c:url var="selfPaAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="addRoles"/>
  <c:param name="u" value="${User.id}"/>
  <c:if test="${not empty param.pna}">
    <c:param name="pna" value="${owasp:forUriComponent(param.pna)}"/>
  </c:if>
  <c:if test="${not empty param.psa}">
    <c:param name="psa" value="${owasp:forUriComponent(param.psa)}"/>
  </c:if>
  <c:if test="${not empty param.pnp}">
    <c:param name="pnp" value="${owasp:forUriComponent(param.pnp)}"/>
  </c:if>
  <c:if test="${not empty param.psp}">
    <c:param name="psp" value="${owasp:forUriComponent(param.psp)}"/>
  </c:if>
  <c:if test="${not empty param.sop}">
    <c:param name="sop" value="${owasp:forUriComponent(param.sop)}"/>
  </c:if>
  <c:if test="${not empty param.scp}">
    <c:param name="scp" value="${owasp:forUriComponent(param.scp)}"/>
  </c:if>
</c:url>

<c:url var="selfPpAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="addRoles"/>
  <c:param name="u" value="${User.id}"/>
  <c:if test="${not empty param.pna}">
    <c:param name="pna" value="${owasp:forUriComponent(param.pna)}"/>
  </c:if>
  <c:if test="${not empty param.psa}">
    <c:param name="psa" value="${owasp:forUriComponent(param.psa)}"/>
  </c:if>
  <c:if test="${not empty param.soa}">
    <c:param name="soa" value="${owasp:forUriComponent(param.soa)}"/>
  </c:if>
  <c:if test="${not empty param.sca}">
    <c:param name="sca" value="${owasp:forUriComponent(param.sca)}"/>
  </c:if>
  <c:if test="${not empty param.pnp}">
    <c:param name="pnp" value="${owasp:forUriComponent(param.pnp)}"/>
  </c:if>
  <c:if test="${not empty param.psp}">
    <c:param name="psp" value="${owasp:forUriComponent(param.psp)}"/>
  </c:if>
</c:url>

<!--  SELECT & ADD -->
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td width="50%" valign="top">
     <tiles:insertDefinition name=".header.tab">
      <tiles:putAttribute name="tabKey" value="admin.user.add.RolesTab"/>
      <tiles:putAttribute name="useFromSideBar" value="true"/>
     </tiles:insertDefinition>
    </td>
    <td><img src="/images/spacer.gif" width="40" height="1" border="0"/></td>
    <td>
     <tiles:insertDefinition name=".header.tab">
      <tiles:putAttribute name="tabKey" value="admin.user.add.AddToList"/>
      <tiles:putAttribute name="useToSideBar" value="true"/>
     </tiles:insertDefinition>
    </td>
  </tr>
  <tr>
    <!--  SELECT COLUMN  -->
    <td width="50%" valign="top">
      <!--  TABLED LIST CONTENTS (SELECT COLUMN) -->
      <div id="<c:out value="${widgetInstanceName}"/>FromDiv">

	<display:table padRows="true" rightSidebar="true" items="${AvailableRoles}" var="role" action="${selfPaAction}" orderValue="soa" order="${param.soa}" sortValue="sca" sort="${param.sca}" pageValue="pna" page="${param.pna}" pageSizeValue="psa" pageSize="${param.psa}" styleId="fromTable" width="100%" cellpadding="0" cellspacing="0" border="0">
          <display:column width="1%" property="id" title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetProperties)\" name=\"fromToggleAll\">" isLocalizedTitle="false" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox">
            <display:checkboxdecorator name="availableRole" onclick="ToggleSelection(this, widgetProperties)" styleClass="availableListMember"/>
          </display:column>
          <display:column property="name" title="header.roles" width="50%" 
	   sort="true" defaultSort="true" sortAttr="1"/>
          <display:column property="description" title="common.header.Description" nulls="&nbsp;" width="50%"/>
        </display:table>

      </div>
      <!--  /  -->

<!-- LIST ITEMS -->
<tiles:insertDefinition name=".toolbar.new">
  <tiles:putAttribute name="useFromSideBar" value="true"/>
  <tiles:putAttribute name="listItems" value="${AvailableRoles}"/>
  <tiles:putAttribute name="listSize" value="${totalSize4AvailableRoles}"/> <!-- beanName="AvailableRoles"  -->
  <tiles:putAttribute name="pageSizeParam" value="psa"/>
  <tiles:putAttribute name="pageSizeAction" value="${selfPsaAction}"/>
  <tiles:putAttribute name="pageNumParam" value="pna"/>
  <tiles:putAttribute name="pageNumAction" value="${selfPnaAction}"/>
</tiles:insertDefinition>

    </td>
    <!-- / SELECT COLUMN  -->

    <!--  ADD/REMOVE COLUMN  -->
    <td id="<c:out value="${widgetInstanceName}"/>AddRemoveButtonTd">
     <div id="AddButtonDiv" align="left">
      <img src="/images/fb_addarrow_gray.gif" border="0" titleKey="AddToList.ClickToAdd"/>
     </div>
      <br>&nbsp;<br>
     <div id="RemoveButtonDiv" align="right">
      <img src="/images/fb_removearrow_gray.gif" border="0" titleKey="AddToList.ClickToRemove"/>
     </div>
    </td>
    <!-- / ADD/REMOVE COLUMN  -->

    <!--  ADD COLUMN  -->
    <td width="50%" valign="top">
      <!--  TABLED LIST CONTENTS (SELECT COLUMN) -->
      <div  id='<c:out value="${widgetInstanceName}"/>ToDiv'>

        <display:table padRows="true" leftSidebar="true" items="${PendingRoles}" var="role" action="${selfPpAction}" orderValue="sop" order="${param.sop}" sortValue="scp" sort="${param.scp}" pageValue="pnp" page="${param.pnp}" pageSizeValue="psp" pageSize="${param.psp}" styleId="toTable" width="100%" cellpadding="0" cellspacing="0" border="0">
          <display:column width="1%" property="id" title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetProperties)\" name=\"toToggleAll\">" isLocalizedTitle="false" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox">
            <display:checkboxdecorator name="pendingRole" onclick="ToggleSelection(this, widgetProperties)" styleClass="pendingListMember"/>
          </display:column>
          <display:column property="name" title="header.roles" width="50%" 
	   sort="true" defaultSort="true" sortAttr="1"/>
          <display:column property="description" title="common.header.Description" nulls="&nbsp;" width="50%"/>
        </display:table>

      </div>
      <!--  /  -->

<tiles:insertDefinition name=".toolbar.new">
  <tiles:putAttribute name="newButtonKey" value="admin.role.users.NewUserButton"/>
  <tiles:putAttribute name="useToSideBar" value="true"/>
  <tiles:putAttribute name="listItems" value="${PendingRoles}"/>
  <tiles:putAttribute name="listSize" value="${totalSize4PendingRoles}"/> <!-- beanName="PendingRoles"  -->
  <tiles:putAttribute name="pageSizeParam" value="psp"/>
  <tiles:putAttribute name="pageSizeAction" value="${selfPspAction}"/>
  <tiles:putAttribute name="pageNumParam" value="pnp"/>
  <tiles:putAttribute name="pageNumAction" value="${selfPnpAction}"/>
 </tiles:insertDefinition>

    </td>
    <!-- / ADD COLUMN  -->
	
  </tr>
</table>
<!-- / SELECT & ADD -->

<tiles:insertDefinition name=".form.buttons">
  <tiles:putAttribute name="addToList" value="true"/>
</tiles:insertDefinition>

<tiles:insertDefinition name=".page.footer"/>

<input type="hidden" name="u" value="${User.id}"/>
</form:form>
