<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>

<jsu:importScript path="/js/listWidget.js" />
<c:set var="widgetInstanceName" value="listUser"/>
<jsu:script>
 	var pageData = new Array();
 	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
 	widgetProperties = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
</jsu:script>
<c:url var="selfAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="view"/>
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${param.ps}"/>
  </c:if>
  <c:if test="${not empty param.u}">
    <c:param name="u" value="${param.u}"/>
  </c:if>
</c:url>

<c:url var="psAction" value="/admin/user/UserAdmin.do">
  <c:param name="mode" value="view"/>
  <c:if test="${not empty param.u}">
    <c:param name="u" value="${param.u}"/>
  </c:if>
</c:url>

<c:url var="RemoveRoleUrl" value="/admin/user/RemoveRole.do"/>

<hq:pageSize var="pageSize"/>

<form:form method="POST" action="${RemoveRoleUrl}" modelAttribute="RemoveRolesForm">
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<input type="hidden" name="u" value="${User.id}" />
<tiles:insertDefinition name=".header.tab">
  <tiles:putAttribute name="tabKey" value="admin.user.RolesAssignedTo"/>
</tiles:insertDefinition>

<display:table items="${UserRole}" action="${selfAction}"
         pageSize="${pageSize}" paramName="User" paramProperty="id" 
         var="role" cellpadding="0" cellspacing="0" >
 <display:column property="id" 
		 title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetProperties, true)\" name=\"listToggleAll\">"
   		 isLocalizedTitle="false" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox" width="1%" >
   <display:checkboxdecorator name="roles" onclick="ToggleSelection(this, widgetProperties, true)" styleClass="listMember"/>
 </display:column>
 <display:column property="name" title="common.header.Name" sort="true"
                 href="/admin/role/RoleAdmin.do?mode=view" paramId="r" paramProperty="id"
                 sortAttr="1" defaultSort="true"/>
 <display:column property="memberCount" title="admin.user.list.Members" sort="true" defaultSort="false" sortAttr="17"/>
 <display:column property="description" title="common.header.Description" defaultSort="false" />
</display:table>

<hq:constant
    classname="org.hyperic.hq.authz.shared.AuthzConstants" 
    symbol="rootSubjectId" var="ROOT_SUBJECT" />
<c:url var="addRolesUrl" value="/admin/user/UserAdmin.do">
	<c:param name="mode" value="addRoles"/>
</c:url>	
<tiles:insertDefinition name=".toolbar.addToList">
  <tiles:putAttribute name="showAddToListBtn"><c:out value="${User.id != ROOT_SUBJECT && useroperations['modifySubject'] && useroperations['viewRole']}"/></tiles:putAttribute>
  <tiles:putAttribute name="showRemoveBtn"><c:out value="${User.id != ROOT_SUBJECT && useroperations['modifySubject'] && useroperations['modifyRole']}"/></tiles:putAttribute>
  <tiles:putAttribute name="addToListUrl" value="${addRolesUrl}"/>
  <tiles:putAttribute name="addToListParamName" value="u"/>
  <tiles:putAttribute name="addToListParamValue" value="${User.id}"/>
  <tiles:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
  <tiles:putAttribute name="listItems" value="${UserRole}"/>
  <tiles:putAttribute name="listSize" value="${totalSize}"/>
  <tiles:putAttribute name="pageSizeAction" value="${psAction}"/>
  <tiles:putAttribute name="pageNumAction" value="${selfAction}"/>  
  <tiles:putAttribute name="defaultSortColumn" value="1"/>
</tiles:insertDefinition>


</form:form>


