<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>

<link rel=stylesheet href="/css/win.css" type="text/css">
<fmt:message var="linkName" key="button.view"/>
<hq:constant symbol="NUM_APPSVC_DEPENDEES_ATTR" var="DependeePageSize" />
<hq:constant symbol="NUM_APPSVC_DEPENDERS_ATTR" var="DependerPageSize" />
<c:set var="widgetInstanceName" value="listServices"/>
<jsu:importScript path="/js/listWidget.js" />
<jsu:script>
	var pageData = new Array();
	
	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	widgetPropertiesListServices = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
</jsu:script>
<c:url var="selfAction" value="/resource/application/Inventory.do">
	<c:param name="mode" value="listServiceDependencies"/>
	<c:param name="appSvcId" value="${appSvcCurrent.id}"/>
	<c:param name="type" value="${Resource.entityId.type}"/>
	<c:param name="rid" value="${Resource.id}" />
</c:url>
<tiles2:insertDefinition name=".page.title.resource.application">
  <tiles2:putAttribute name="titleKey" value="common.title.Edit"/>
  <tiles2:putAttribute name="titleName" value="${Resource.name}"/>
</tiles2:insertDefinition>

<c:choose>
<c:when test="${appSvcCurrent.isGroup == true}">
<c:set var="appSvcCurrentName" value="${appSvcCurrent.resourceGroup.name}" />
</c:when>
<c:otherwise>
<c:set var="appSvcCurrentName" value="${appSvcCurrent.service.name}" />
</c:otherwise>
</c:choose>
<fmt:message var="linkName" key="button.view"/>
<tiles2:insertDefinition name=".header.tab">
	<tiles2:putAttribute name="tabKey" value="resource.application.inventory.services.DependeesTab"/>
	<tiles2:putAttribute name="tabName" value="${fn:escapeXml(appSvcCurrentName)}"/>
</tiles2:insertDefinition>
<c:url var="ListServiceDependenciesFormAction" value="/resource/application/inventory/RemoveServiceDependencies.do"/>
<form:form modelAttribute="ListServiceDependenciesForm" action="${ListServiceDependenciesFormAction}">

<input type="hidden" id="rid" name="rid" value="${Resource.id}" />
<input type="hidden" id="type" name="type" value="${Resource.entityId.type}" />
<input type="hidden" id="appSvcId" name="appSvcId" value="${appSvcCurrent.id}" />
<c:choose>
<c:when test="${empty appSvcDependees}">
<div id="listDiv">
<table width="100%" cellpadding="0" cellspacing="0" border="0" id="listTable">
  <tr>
  <td width="1%" class="ListHeaderCheckbox"><img src="/images/spacer.gif" width="10" height="10" border="0"/></td>
  <td width="10%" class="ListHeaderOff"><fmt:message key="resource.application.DependenciesTH"/></td>
  <td width="30%" class="ListHeaderOff"><fmt:message key="resource.application.ServiceTH"/></td>
  <td width="30%" class="ListHeaderOff"><fmt:message key="resource.application.TypeTH"/></td>
  <td width="30%" class="ListHeaderOff"><fmt:message key="resource.application.HostServerTH"/></td>
  </tr>
  <tr class="ListRow">
  <td class="ListCellCheckbox"><img src="/images/spacer.gif" width="10" height="10" border="0"/></td>
  <td class="ListCell" colspan="4">
  <i><fmt:message key="resource.application.inventory.services.NoDependees"><c:choose><c:when test="${appSvcCurrent.isGroup == true}"><fmt:param value="${fn:escapeXml(appSvcCurrent.resourceGroup.name)}" /></c:when><c:otherwise><fmt:param value="${fn:escapeXml(appSvcCurrent.service.name)}"/></c:otherwise></c:choose></fmt:message></i></td>
  </tr>
</table>
</div>
</c:when>
<c:otherwise>
<display:table items="${appSvcDependees}" cellspacing="0" cellpadding="0" 
  width="100%" action="${selfAction}" var="service" pageSize="${requestScope[DependeePageSize]}">
  <display:column width="1%" property="appServiceId" 
    title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetPropertiesListServices, true)\" name=\"listToggleAll\">"  
    isLocalizedTitle="false" styleClass="ListCellCheckbox" 
    headerStyleClass="ListHeaderCheckbox" >
    <display:checkboxdecorator name="resources" 
      onclick="ToggleSelection(this, widgetPropertiesListServices, true)" 
      styleClass="listMember"/>
  </display:column>
  <display:column width="10%" align="left" property="appServiceId" value="${linkName}"
    title="resource.application.inventory.services.DependenciesTH" styleClass="ListCell" headerStyleClass="ListHeader"
    href="/resource/application/Inventory.do?mode=listServiceDependencies&appSvcId=${fn:escapeXml(service.appServiceId)}&rid=${fn:escapeXml(Resource.id)}&type=${fn:escapeXml(Resource.entityId.type)}" />
  <display:column width="30%" property="name"  
    title="resource.application.inventory.services.ServiceTH" 
    href="/resource/${fn:escapeXml(service.entityId.typeName)}/Inventory.do?mode=view&rid=${fn:escapeXml(service.id)}&type=${fn:escapeXml(service.appdefType)}" />
  <display:column width="30%" property="serviceType.name"  
    title="resource.application.inventory.services.TypeTH" /> 
  <display:column width="30%" property="server.name"
    title="resource.application.inventory.services.HostServerTH" />
</display:table>
</c:otherwise>
</c:choose>
<c:url var="addToListUrl" value="/resource/application/Inventory.do">
	<c:param name="mode" value="addDependencies"/>
	<c:param name="appSvcId" value="${appSvcCurrent.id}"/>
	<c:param name="rid" value="${Resource.id}"/>
	<c:param name="type" value="${Resource.entityId.type}"/>
</c:url>
<c:set var="widgetInstanceName" value="listServices"/>

<tiles2:insertDefinition name=".toolbar.addToList">
  <tiles2:putAttribute name="addToListUrl" value="${addToListUrl}"/>
  <tiles2:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
  <tiles2:putAttribute name="listItems" value="${appSvcDependees}"/>
  <tiles2:putAttribute name="listSize" value="${numAppSvcDependees}"/>
  <tiles2:putAttribute name="pageNumAction" value="${selfAction}"/>    
  <tiles2:putAttribute name="defaultSortColumn" value="5"/>
  <tiles2:putAttribute name="pageSizeAction" value="${selfAction}" />
</tiles2:insertDefinition>
</form:form>
    &nbsp;<br>
<tiles2:insertDefinition name=".header.tab">
  <tiles2:putAttribute name="tabKey" value="resource.application.inventory.services.DependersTab"/>
  <tiles2:putAttribute name="tabName" value="${fn:escapeXml(appSvcCurrentName)}"/>
</tiles2:insertDefinition>

<c:choose>
<c:when test="${empty appSvcDependers}">
<div id="listDiv">
<table width="100%" cellpadding="0" cellspacing="0" border="0" id="listTable">
  <tr>
  <td width="1%" class="ListHeaderCheckbox"><img src="/images/spacer.gif" width="10" height="10" border="0"/></td>
  <td width="10%" class="ListHeaderOff"><fmt:message key="resource.application.DependenciesTH"/></td>
  <td width="30%" class="ListHeaderOff"><fmt:message key="resource.application.ServiceTH"/></td>
  <td width="30%" class="ListHeaderOff"><fmt:message key="resource.application.TypeTH"/></td>
  <td width="30%" class="ListHeaderOff"><fmt:message key="resource.application.HostServerTH"/></td>
  </tr>
  <tr class="ListRow">
  <td class="ListCellCheckbox"><img src="/images/spacer.gif" width="10" height="10" border="0"/></td>
  <td class="ListCell" colspan="4"><i><fmt:message key="resource.application.inventory.services.NoDependers"><c:choose><c:when test="${appSvcCurrent.isGroup == true}"><fmt:param value="${fn:escapeXml(appSvcCurrent.resourceGroup.name)}" /></c:when><c:otherwise><fmt:param value="${fn:escapeXml(appSvcCurrent.service.name)}"/></c:otherwise></c:choose></fmt:message></i></td>
  </tr>
</table>
</div>
</c:when>
<c:otherwise>
<display:table items="${appSvcDependers}" cellspacing="0" cellpadding="0" 
  width="100%" action="${selfAction}" var="service" pageSize="${requestScope[DependerPageSize]}">
   <display:column width="10%" align="left" property="appServiceId" value="${linkName}"
    title="resource.application.inventory.services.DependenciesTH" styleClass="ListCell" headerStyleClass="ListHeader"
    href="/resource/application/Inventory.do?mode=listServiceDependencies&appSvcId=${fn:escapeXml(service.appServiceId)}&rid=${fn:escapeXml(Resource.id)}&type=${fn:escapeXml(Resource.entityId.type)}" />
 
  <display:column width="30%" property="name" 
    title="resource.application.inventory.services.ServiceTH" 
    href="/resource/${fn:escapeXml(service.entityId.typeName)}/Inventory.do?mode=view&rid=${fn:escapeXml(service.id)}&type=${fn:escapeXml(service.appdefType)}" />
  <display:column width="30%" property="serviceType.name" 
    title="resource.application.inventory.services.TypeTH" /> 
  <display:column width="30%" property="server.name"
    title="resource.application.inventory.services.HostServerTH" />
</display:table>
</c:otherwise>
</c:choose>
    &nbsp;<br>

<c:url var="returnUrl" value="/resource/application/Inventory.do">
	<c:param name="mode" value="view" />
	<c:param name="rid" value="${Resource.id}" />
	<c:param name="type" value="${Resource.entityId.type}" />
</c:url>
<a href="${returnUrl}"><fmt:message key="resource.application.inventory.services.ReturnLink" /></a>

<tiles2:insertDefinition name=".page.footer"/>

</form>

