<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>



<tiles2:importAttribute name="application"/>
<tiles2:importAttribute name="services"/>
<tiles2:importAttribute name="serviceCount"/>

<hq:pageSize var="pageSize"/>
<c:url var="addToListUrl" value="/resource/application/Inventory.do">
	<c:param name="mode" value="addServices"/>
	<c:param name="eid" value="${Resource.entityId}" />
</c:url>
<c:set var="widgetInstanceName" value="listServices"/>

<c:url var="selfAction" value="/resource/application/Inventory.do">
	<c:param name="mode" value="view"/>
	<c:param name="accord" value="3"/>
	<c:param name="eid" value="${Resource.entityId}"/>
</c:url>
<fmt:message var="linkName" key="button.view"/>
<c:url var="ctxSelfAction" value="${selfAction}"/>

<c:url var="selfPssAction" value="${selfAction}">
  <c:if test="${not empty param.pns}">
    <c:param name="pns" value="${owasp:forUriComponent(param.pns)}"/>
  </c:if>
  <c:if test="${not empty param.sos}">
    <c:param name="sos" value="${owasp:forUriComponent(param.sos)}"/>
  </c:if>
  <c:if test="${not empty param.scs}">
    <c:param name="scs" value="${owasp:forUriComponent(param.scs)}"/>
  </c:if>
  <c:if test="${not empty param.psg}">
    <c:param name="psg" value="${owasp:forUriComponent(param.psg)}"/>
  </c:if>
  <c:if test="${not empty param.pns}">
    <c:param name="pns" value="${owasp:forUriComponent(param.pns)}"/>
  </c:if>
  <c:if test="${not empty param.sos}">
    <c:param name="sos" value="${owasp:forUriComponent(param.sos)}"/>
  </c:if>
  <c:if test="${not empty param.scs}">
    <c:param name="scs" value="${owasp:forUriComponent(param.scs)}"/>
  </c:if>
</c:url>

<c:url var="selfPnsAction" value="${selfAction}">
  <c:if test="${not empty param.pss}">
    <c:param name="pss" value="${owasp:forUriComponent(param.pss)}"/>
  </c:if>
  <c:if test="${not empty param.sos}">
    <c:param name="sos" value="${owasp:forUriComponent(param.sos)}"/>
  </c:if>
  <c:if test="${not empty param.psg}">
    <c:param name="psg" value="${owasp:forUriComponent(param.psg)}"/>
  </c:if>
  <c:if test="${not empty param.scs}">
    <c:param name="scs" value="${owasp:forUriComponent(param.scs)}"/>
  </c:if>
  <c:if test="${not empty param.pss}">
    <c:param name="pss" value="${owasp:forUriComponent(param.pss)}"/>
  </c:if>
  <c:if test="${not empty param.sos}">
    <c:param name="sos" value="${owasp:forUriComponent(param.sos)}"/>
  </c:if>
  <c:if test="${not empty param.scs}">
    <c:param name="scs" value="${owasp:forUriComponent(param.scs)}"/>
  </c:if>
</c:url>
<jsu:importScript path="/js/listWidget.js" />
<jsu:script>
	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	widgetPropertiesListServices = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
</jsu:script>
<c:url var="RemoveAppServicesFormAction" value="/resource/application/inventory/RemoveServices.do"/>
<form:form modelAttribute="RemoveAppServicesForm" action="${RemoveAppServicesFormAction}">
<input type="hidden" id="rid" name="rid" value="${Resource.id}"/>
<input type="hidden" id="type" name="type" value="${Resource.entityId.type}"/>
<!--  /  -->
<!--  SERVICES CONTENTS -->
<div id="listDiv">

<display:table items="${Services}" cellspacing="0" cellpadding="0" orderValue="sos" order="${fn:escapeXml(param.sos)}"  sortValue="scs" sort="${fn:escapeXml(param.scs)}"
  width="100%" action="${ctxSelfAction}" var="service" pageSize="${pageSize}">
  <display:column width="1%" property="appServiceId" 
    title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetPropertiesListServices, true)\" name=\"listToggleAll\">"  
    isLocalizedTitle="false" styleClass="ListCellCheckbox" 
    headerStyleClass="ListHeaderCheckbox" >
    <display:checkboxdecorator name="resources" 
      onclick="ToggleSelection(this, widgetPropertiesListServices, true)" 
      styleClass="listMember"/>
  </display:column>
  <display:column width="10%" align="left" property="appServiceId" value="${linkName}"
    title="resource.application.inventory.services.DependenciesTH" styleClass="ListCell" headerStyleClass="ListHeader"
    href="/resource/application/Inventory.do?mode=listServiceDependencies&appSvcId=${fn:escapeXml(service.appServiceId)}&rid=${fn:escapeXml(Resource.id)}&type=${fn:escapeXml(Resource.entityId.type)}" />
  <display:column width="20%" property="name"  
    title="resource.application.inventory.services.ServiceTH" 
    href="/resource/${fn:escapeXml(service.entityId.typeName)}/Inventory.do?mode=view&rid=${fn:escapeXml(service.id)}&type=${fn:escapeXml(service.appdefType)}" />
  <display:column width="8%" property="entryPoint" align="left" styleClass="ListCell" 
    title="resource.application.inventory.services.EntryPointTH">
    <display:booleandecorator flagKey="yesno"/>
  </display:column>
  <display:column width="20%" property="serviceType.name" 
    title="resource.application.inventory.services.TypeTH" /> 
  <display:column width="8%" property="cluster" align="left" styleClass="ListCell" 
    title="resource.application.inventory.services.ClusterTH">
    <display:booleandecorator 
      flagKey="resource.application.inventory.service.iscluster"/>
  </display:column>
  <display:column width="19%" property="server.name"
    title="resource.application.inventory.services.HostServerTH" />
  <display:column property="id" 
    title="resource.common.monitor.visibility.AvailabilityTH"
    width="10%" styleClass="ListCellCheckbox" 
    headerStyleClass="ListHeaderCheckbox" valign="left">
    <display:availabilitydecorator resourceId="${service.id}" resourceTypeId="${service.appdefType}" monitorable="${service.cluster}" />
  </display:column>
</display:table>
</div>
<!--  /  -->
<tiles2:insertDefinition name=".toolbar.addToList">
  <tiles2:putAttribute name="addToListUrl" value="${addToListUrl}"/>
  <tiles2:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
  <tiles2:putAttribute name="listItems" value="${services}"/>
  <tiles2:putAttribute name="listSize" value="${serviceCount}"/>
  <tiles2:putAttribute name="pageSizeParam" value="pss"/>
  <tiles2:putAttribute name="pageNumParam" value="pns"/>
  <tiles2:putAttribute name="defaultSortColumn" value="5"/>
  <tiles2:putAttribute name="pageNumAction" value="${selfPnsAction}"/>
  <tiles2:putAttribute name="pageSizeAction" value="${selfPssAction}" />
</tiles2:insertDefinition>
</form:form>
