<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>

<tiles2:importAttribute name="section" ignore="true"/>

<c:if test="${empty section}">
 <c:set var="section" value="server"/>
</c:if>

<!-- FORM -->
<c:choose>
 <c:when test="${section eq 'group'}">
  <c:set var="onsubmitStr" value="selectAllOptions('leftSel');"/>
 </c:when>
 <c:otherwise>
  <c:set var="onsubmitStr" value=""/> 
 </c:otherwise>
</c:choose>

<c:url var="f_formurl1" value="/resource/${section}/control/Edit.do"/>
<form:form modelAttribute="ServerControlForm" action="${f_formurl1}" onsubmit="${onsubmitStr}">
<form:hidden path="rid" value="${owasp:forUriComponent(param.rid)}"/>
<form:hidden path="type" value="${owasp:forUriComponent(param.type)}"/>
<form:hidden path="bid" value="${owasp:forUriComponent(param.bid)}"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<c:set var="tmpTitle" value=".page.title.resource.${section}"/>
<c:set var="tmpKey" value="resource.${section}.Control.PageTitle.Edit"/>
<!--  PAGE TITLE -->
<tiles2:insertDefinition name="${tmpTitle}">
  <tiles2:putAttribute name="titleKey" value="${tmpKey}"/>
  <tiles2:putAttribute name="titleName" value="${Resource.name}"/>
</tiles2:insertDefinition>

<!-- CONTROL ACTION PROPERTIES -->
<tiles2:insertDefinition name=".resource.common.control.editControlActionProperties">
	<tiles2:putAttribute name="springformbean" value="${ServerControlForm}"/>
</tiles2:insertDefinition>

<c:if test="${section eq 'group'}">
<br/>    
<tiles2:insertDefinition name=".resource.group.control.editControlActionBehavior"/>
</c:if>

<!-- SCHEDULE ACTION PROPERTIES -->
<br/>
<c:choose>
 <c:when test="${section eq 'group'}">
  <tiles2:insertDefinition name=".schedule">
   <tiles2:putAttribute name="TheControlForm" value="${GroupControlForm}"/>
  </tiles2:insertDefinition>
 </c:when>
 <c:otherwise>
  <tiles2:insertDefinition name=".schedule">
   <tiles2:putAttribute name="TheControlForm" value="${ServerControlForm}"/>
   <tiles2:putAttribute name="TheControlFormName" value="ServerControlForm"/>
  </tiles2:insertDefinition>
 </c:otherwise>
</c:choose>

<!-- OK/RESET/CANCEL -->
<tiles2:insertDefinition name=".form.buttons"/>

<tiles2:insertDefinition name=".page.footer"/>
</form:form>
