<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>

<tiles2:importAttribute name="section" ignore="true"/>

<c:if test="${empty section}">
 <c:set var="section" value="server"/>
</c:if>
<jsu:importScript path="/js/listWidget.js" />

<c:set var="widgetInstanceName" value="listServerControl"/>

<jsu:script>
	var pageData = new Array();
	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	widgetProperties = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');  
</jsu:script>
<hq:pageSize var="pageSize"/>
<c:url var="selfAction" value="/resource/${section}/Control.do">
	<c:param name="mode" value="history"/>
	<c:param name="rid" value="${Resource.id}"/>
	<c:param name="type" value="${Resource.entityId.type}"/>
</c:url>

<c:url var="psAction" value="${selfAction}">
  <c:if test="${not empty param.pn}">
    <c:param name="pn" value="${param.pn}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${owasp:forUriComponent(param.so)}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${param.sc}"/>
  </c:if>
</c:url>

<c:url var="pnAction" value="${selfAction}">
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${param.ps}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${owasp:forUriComponent(param.so)}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${param.sc}"/>
  </c:if>
</c:url>

<%-- now add the context path --%>
<c:url var="selfActionUrl" value="${selfAction}"/>

<c:set var="entityId" value="${Resource.entityId}"/>

<c:choose>
	<c:when test="${section eq 'platform'}">
  		<!--  PAGE TITLE -->
  		<tiles2:insertDefinition name=".page.title.resource.platform.full">
   			<tiles2:putAttribute name="resource" value="${Resource}"/>
   			<tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
   			<tiles2:putAttribute name="resourceModifier" value="${ResourceModifier}"/>
   			<tiles2:putAttribute name="eid" value="${entityId.appdefKey}"/>
  		</tiles2:insertDefinition>
  		<!-- CONTROL BAR -->
  		<tiles2:insertDefinition name=".tabs.resource.platform.control.list.history">
   			<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
  		</tiles2:insertDefinition>
 	</c:when>
  	<c:when test="${section eq 'service'}">
  		<!--  PAGE TITLE -->
  		<tiles2:insertDefinition name=".page.title.resource.service.full">
   			<tiles2:putAttribute name="resource" value="${Resource}"/>
   			<tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
   			<tiles2:putAttribute name="resourceModifier" value="${ResourceModifier}"/>
   			<tiles2:putAttribute name="eid" value="${entityId.appdefKey}"/>
  		</tiles2:insertDefinition>
  		<!-- CONTROL BAR -->
  		<tiles2:insertDefinition name=".tabs.resource.service.control.list.history">
   			<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
  		</tiles2:insertDefinition>
 	</c:when>
 	<c:when test="${section eq 'group'}">
  		<!--  PAGE TITLE -->
  		<tiles2:insertDefinition name=".page.title.resource.group.full">
   			<tiles2:putAttribute name="titleName" value="${Resource.name}"/>
   			<tiles2:putAttribute name="resource" value="${Resource}"/>
   			<tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
   			<tiles2:putAttribute name="resourceModifier" value="${ResourceModifier}"/>
  		</tiles2:insertDefinition>
  		<!-- CONTROL BAR -->
  		<tiles2:insertDefinition name=".tabs.resource.group.control.list.history">
   			<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
  		</tiles2:insertDefinition>
 	</c:when>
 	<c:otherwise>
  		<!--  PAGE TITLE -->
 		<tiles2:insertDefinition name=".page.title.resource.server.full">
   			<tiles2:putAttribute name="resource" value="${Resource}"/>
   			<tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
   			<tiles2:putAttribute name="resourceModifier" value="${ResourceModifier}"/>
   			<tiles2:putAttribute name="eid" value="${entityId.appdefKey}"/>
 		</tiles2:insertDefinition>
  		<!-- CONTROL BAR -->
  		<tiles2:insertDefinition name=".tabs.resource.server.control.list.history">
   			<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
 		</tiles2:insertDefinition>
 	</c:otherwise>
</c:choose>
<br>


<hq:constant symbol="CONTROL_ENABLED_ATTR" var="CONST_ENABLED" />

<c:choose>
 <c:when test="${requestScope[CONST_ENABLED]}">

<!-- MENU BAR -->
<tiles2:insertDefinition name=".header.tab">
  <tiles2:putAttribute name="tabKey" value="resource.server.ControlHistory.Title"/>
</tiles2:insertDefinition>

<tiles2:insertDefinition name=".portlet.error"/>
<tiles2:insertDefinition name=".portlet.confirm"/>

<!-- Table Content -->
<c:url var="f_formurl1" value="/resource/${section}/control/RemoveHistory.do"/>
<form:form modelAttribute="RemoveControlJobsForm" action="${f_formurl1}">
<form:hidden path="rid" value="${Resource.id}"/>
<form:hidden path="type" value="${Resource.entityId.type}"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<%
   Object oal = request.getAttribute("hstDetailAttr");
   if(oal!=null && oal instanceof java.util.ArrayList){
     java.util.ArrayList al = (java.util.ArrayList)oal;
     java.util.Locale locale1 = request.getLocale();
     
     for (java.util.Iterator it = al.iterator(); it.hasNext();){
     Object ohist = it.next();
     if(ohist instanceof org.hyperic.hq.control.server.session.ControlHistory){
        org.hyperic.hq.control.server.session.ControlHistory hist = (org.hyperic.hq.control.server.session.ControlHistory)ohist ;
        hist.setLocale(locale1);     
     }
     
     }
     
   }
   
%>

<c:set var="tmpNoErrors"><fmt:message key="resource.common.control.NoErrors"/></c:set>

<div id="listDiv">
  <display:table cellspacing="0" cellpadding="0" width="100%" action="${selfActionUrl}"
                  orderValue="so" order="${owasp:forUriComponent(param.so)}" sortValue="sc" sort="${owasp:forUriComponent(param.sc)}" pageValue="pn" 
                  page="${owasp:forUriComponent(param.pn)}" pageSizeValue="ps" pageSize="${owasp:forUriComponent(param.ps)}" items="${hstDetailAttr}" var="hstDetail" >
   <display:column width="1%" property="id" 
                    title="<input type=\"checkbox\" onclick=\"ToggleAll(this, widgetProperties)\" name=\"listToggleAll\">"  
		    isLocalizedTitle="false" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox" >
    <display:checkboxdecorator name="controlActions" onclick="ToggleSelection(this, widgetProperties)" styleClass="listMember"/>
   </display:column>
  <c:choose>
   <c:when test="${section eq 'group'}">
    <display:column width="12%" property="actionOnLocale" sort="true" sortAttr="9"
                    defaultSort="true" title="resource.server.ControlHistory.ListHeader.Action" 
                    href="/resource/${section}/Control.do?mode=hstDetail&type=${fn:escapeXml(Resource.entityId.type)}&rid=${fn:escapeXml(Resource.id)}" paramId="bid" paramProperty="id" nowrap="true" />
    </c:when>
    <c:otherwise>
     <display:column width="12%" property="actionOnLocale"  
                     title="resource.server.ControlHistory.ListHeader.Action"/> 
    </c:otherwise>
   </c:choose>
   <display:column width="12%" property="args" title="resource.server.ControlHistory.ListHeader.Arguments">
   </display:column>
   <display:column width="10%" property="statusOnLocale" title="resource.server.ControlHistory.ListHeader.Status" sort="true" sortAttr="10" nowrap="true">
   </display:column> 
   <display:column width="16%" property="startTime" title="resource.server.ControlHistory.ListHeader.Started" 
                   sort="true" defaultSort="false" sortAttr="11" nowrap="true" >
       <display:eventdatetimedecorator/>
   </display:column>
   <display:column width="12%" property="duration" title="resource.server.ControlHistory.ListHeader.Elapsed" >
      <display:datedecorator isElapsedTime="true"/>
   </display:column>
   <display:column width="8%" property="subject" title="resource.server.ControlHistory.ListHeader.Subject">
   </display:column>
   <display:column title="resource.server.ControlHistory.ListHeader.Message" headerStyleClass="ListHeaderInactive" property="message">
     <display:alternateDecorator secondChoice="${tmpNoErrors}"/>
   </display:column>
  </display:table>
</div>

<tiles2:insertDefinition name=".toolbar.list">
  <tiles2:putAttribute name="listNewUrl" value="${selfAction}"/>
  <tiles2:putAttribute name="listItems" value="${hstDetailAttr}"/>
  <tiles2:putAttribute name="listSize" value="${hstDetailAttr.getTotalSize()}"/>
  <tiles2:putAttribute name="pageSizeAction" value="${psAction}" />
  <tiles2:putAttribute name="pageNumAction" value="${pnAction}"/>   
  <tiles2:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
  <tiles2:putAttribute name="defaultSortColumn" value="9"/>
  <tiles2:putAttribute name="deleteOnly" value="true"/>
</tiles2:insertDefinition>

<tiles2:insertDefinition name=".page.footer"/>
</form:form>

</c:when>
<c:otherwise>
 <c:choose>
  <c:when test="${section eq 'group'}">
   <c:set var="tmpMessage" >
    <fmt:message key="resource.common.control.NotEnabled.ControlNotEnabled"/>
   </c:set> 
  </c:when>
  <c:otherwise>
   <c:url var="enableControlLink" value="/resource/${section}/Inventory.do">
    <c:param name="mode" value="editConfig"/>
    <c:param name="rid" value="${Resource.id}"/>
    <c:param name="type" value="${Resource.entityId.type}"/>
   </c:url>
   <c:set var="tmpMessage" >
    <fmt:message key="resource.common.control.NotEnabled.ControlNotEnabled"/> <fmt:message key="resource.common.control.NotEnabled.ToEnableControl"><fmt:param value="${enableControlLink}" /></fmt:message>
   </c:set>
  </c:otherwise>
 </c:choose>
   <tiles2:insertDefinition name=".portlet.notenabled">
    <tiles2:putAttribute name="message" value="${tmpMessage}"/>
   </tiles2:insertDefinition>

</c:otherwise>
</c:choose>
