<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>


<tiles2:importAttribute name="section" ignore="true"/>

<c:if test="${empty section}">
 <c:set var="section" value="server"/>
</c:if>

<!-- FORM -->
<c:choose>
 <c:when test="${section eq 'group'}">
  <c:set var="onsubmitStr" value="selectAllOptions('leftSel');"/>
 </c:when>
 <c:otherwise>
  <c:set var="onsubmitStr" value=""/> 
 </c:otherwise>
</c:choose>

<c:url var="form_controlnew" value="/resource/${section}/control/New.do"/>
<form:form modelAttribute="ServerControlForm" name="ServerControlForm" action="${form_controlnew}" onsubmit="${onsubmitStr}">
  <form:hidden path="rid" value="${owasp:forUriComponent(param.rid)}"/>
  <form:hidden path="type" value="${owasp:forUriComponent(param.type)}"/>
  <input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<!--  PAGE TITLE -->
<c:choose>
 <c:when test="${section eq 'service'}">
  <tiles2:insertDefinition name=".page.title.resource.service">
   <tiles2:putAttribute name="titleKey" value="resource.server.Control.PageTitle.New"/>
   <tiles2:putAttribute name="titleName" value="${Resource.name}"/>
  </tiles2:insertDefinition>
 </c:when>
 <c:when test="${section eq 'group'}">
  <tiles2:insertDefinition name=".page.title.resource.group">
   <tiles2:putAttribute name="titleKey" value="resource.group.Control.PageTitle.New"/>
   <tiles2:putAttribute name="titleName" value="${Resource.name}"/>
  </tiles2:insertDefinition>
 </c:when>
 <c:otherwise>
  <tiles2:insertDefinition name=".page.title.resource.server">
   <tiles2:putAttribute name="titleKey" value="resource.server.Control.PageTitle.New"/>
   <tiles2:putAttribute name="titleName" value="${Resource.name}"/>
  </tiles2:insertDefinition>
 </c:otherwise>
</c:choose>

<!-- CONTROL ACTION PROPERTIES -->
<tiles2:insertDefinition name=".resource.common.control.editControlActionProperties">
	<tiles2:putAttribute name="springformbean" value="${ServerControlForm}"/>
</tiles2:insertDefinition>

<c:if test="${section eq 'group'}">
<br/>    
<tiles2:insertDefinition name=".resource.group.control.editControlActionBehavior"/>
</c:if>

<!-- SCHEDULE ACTION PROPERTIES -->
<br/>
<tiles2:insertDefinition name=".schedule">
	<tiles2:putAttribute name="TheControlForm" value="${ServerControlForm}"/>
	<tiles2:putAttribute name="TheControlFormName" value="ServerControlForm"/>
</tiles2:insertDefinition>

<!-- OK/RESET/CANCEL -->
<tiles2:insertDefinition name=".form.buttons"/>

<tiles2:insertDefinition name=".page.footer"/>
</form:form>

