<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>

<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>

<c:set var="entityId" value="${Resource.entityId}"/>
<tiles2:importAttribute name="action" />

<c:set var="tmpTitle"> <fmt:message key="resource.group.QuickControl.Caption"/></c:set>

<tiles2:insertDefinition name=".header.tab">
  <tiles2:putAttribute name="tabKey" value="resource.group.QuickControl.Tab"/>
  <tiles2:putAttribute name="subTitle" value="${tmpTitle}"/>
</tiles2:insertDefinition>

<!--  GENERAL PROPERTIES CONTENTS -->

<c:url var="f_formurl1" value="${action}.do"/>
<form:form modelAttribute="QuickControlForm" action="${f_formurl1}">
<form:hidden path="type" value="${entityId.type}"/>
<form:hidden path="rid" value="${entityId.id}"/>
<form:hidden path="resourceType" value="${entityId.type}"/>
<form:hidden path="resourceId" value="${entityId.id}"/>
<form:hidden path="mode" value="${owasp:forUriComponent(param.mode)}"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<fmt:setBundle basename="controlAction" var="cap"/>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td colspan="3" class="BlockContent"><img src="/images/spacer.gif" width="1" height="1" border="0"/></td>
  </tr>
    <tr valign="top">
<c:choose>
 <c:when test="${QuickControlForm.numControlActions == 0}">
  <tr>
    <td width="20%" class="BlockLabel"><fmt:message key="resource.group.QuickControl.Label.Action"/></td>
    <td width="50%" class="ErrorField"><fmt:message key="resource.service.control.controllist.NoActions"/></td>
    <td width="30%" class="BlockContent" colspan="1">&nbsp;</td>
  </tr>
 </c:when>
 <c:otherwise>
  <tr>
      <td width="20%" class="BlockLabel"><fmt:message key="resource.group.QuickControl.Label.Action"/></td>
      <hq:messagesPresent property="resourceAction">
      <td width="5%" class="ErrorField">
       <form:select path="resourceAction">
        <form:option value=""><fmt:message key="resource.application.applicationProperties.Select"/></form:option>
        <c:forEach var="myIndex" items="${controlActions}">
         <c:set var="theLowerKey" value="${fn:toLowerCase(myIndex.value)}" />
         <fmt:message key="ca-${theLowerKey}" var="matchedKey" bundle="${cap}" />
         <c:choose>
           <c:when test="${fn:startsWith(matchedKey,'???')}">
             <form:option value="${myIndex.value}"><c:out value="${myIndex.label}"/></form:option>
           </c:when>
           <c:otherwise>
             <form:option value="${myIndex.value}"><fmt:message key="${matchedKey}" /></form:option>
           </c:otherwise>
         </c:choose>
        </c:forEach>
       </form:select>
       <span class="ErrorFieldContent">- <hq:errors property="resourceAction"/></span>
      </td>
      </hq:messagesPresent>
      <hq:messagesNotPresent property="resourceAction">
      <td width="5%" class="BlockContent">
       <form:select path="resourceAction">
        <form:option value=""><fmt:message key="resource.application.applicationProperties.Select"/></form:option>
        <!--html:optionsCollection property="controlActions" /-->
        <c:forEach var="myIndex" items="${QuickControlForm.controlActions}">
         <c:set var="theLowerKey" value="${fn:toLowerCase(myIndex.value)}" />
         <fmt:message key="ca-${theLowerKey}" var="matchedKey" bundle="${cap}" />
         <c:choose>
           <c:when test="${fn:startsWith(matchedKey,'???')}">
             <form:option value="${myIndex.value}"><c:out value="${myIndex.label}"/></form:option>
           </c:when>
           <c:otherwise>
             <form:option value="${myIndex.value}"><fmt:message key="${matchedKey}" /></form:option>
           </c:otherwise>
         </c:choose>
        </c:forEach>
       </form:select>
      </td>
      </hq:messagesNotPresent>
      <td width="75%" class="BlockContent">
       <fmt:message var="img_altkey1" key="button.ok"/>
       <input type="image" name="ok" src="/images/4.0/icons/accept.png" alt="${img_altkey1}" border="0"/>
      </td>
  </tr>
  <tr>
      <td width="20%" class="BlockLabel"><fmt:message key="resource.group.QuickControl.Label.Arguments"/></td>
      <td width="80%" class="BlockContent" colspan="2">
        <form:input size="30" maxlength="250" path="arguments" tabindex="1"/>
      </td>
  </tr>
 </c:otherwise>
</c:choose>
    <tr valign="top">
      <td width="20%" class="BlockLabel">&nbsp;</td>
      <td width="80%" class="BlockContentSmallText" colspan="2">
       <fmt:message key="resource.group.QuickControl.Content.Caption"/>
      </td>
    </tr>
    <tr>
     <td colspan="3" class="BlockContent">
      <img src="/images/spacer.gif" width="1" height="1" border="0"/>
     </td>
    </tr>
    <tr>
     <td colspan="3" class="BlockBottomLine"><img src="/images/spacer.gif" width="1" height="1" border="0"/></td>
    </tr>
</table>
</form:form>
<!--  /  -->
