<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>

<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>


<tiles2:importAttribute name="users"/>
<tiles2:importAttribute name="userCount"/>
<tiles2:importAttribute name="formName"/>
<tiles2:importAttribute name="selfUrl"/>

<c:url var="psAction" value="${selfUrl}">
  <c:if test="${not empty param.pn}">
    <c:param name="pn" value="${owasp:forUriComponent(param.pn)}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${owasp:forUriComponent(param.so)}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${owasp:forUriComponent(param.sc)}"/>
  </c:if>
</c:url>

<c:url var="pnAction" value="${selfUrl}">
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${owasp:forUriComponent(param.ps)}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${owasp:forUriComponent(param.so)}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${owasp:forUriComponent(param.sc)}"/>
  </c:if>
</c:url>

<c:url var="sAction" value="${selfUrl}">
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${owasp:forUriComponent(param.ps)}"/>
  </c:if>
  <c:if test="${not empty param.pn}">
    <c:param name="pn" value="${owasp:forUriComponent(param.pn)}"/>
  </c:if>
</c:url>

<tiles2:insertDefinition name=".header.tab">
  <tiles2:putAttribute name="tabKey" value="resource.common.inventory.chown.ChangeOwnerTab"/>
</tiles2:insertDefinition>

<tiles2:insertDefinition name=".portlet.error"/>

<display:table items="${users}" var="user" action="${sAction}" width="100%" cellpadding="0" cellspacing="0">
  <display:column width="1%" property="id" isLocalizedTitle="false" styleClass="ListCell" headerStyleClass="ListHeader" >
    <display:imagebuttondecorator form="${formName}" input="o" page="/images/fb_select.gif"/>
  </display:column>
  <display:column width="25%" property="name" title="admin.role.users.UsernameTH" sort="true" sortAttr="3" defaultSort="true"/>
  <display:column width="25%" property="firstName" title="admin.role.users.FirstNameTH"/>
  <display:column width="25%" property="emailAddress" title="admin.role.users.EmailTH"/>
  <display:column width="25%" property="department" title="admin.role.users.DepartmentTH"/>
</display:table>

<jsu:script>
	var containerTable = hqDojo.byId("migContainer");
	if(containerTable!=null&&containerTable!='undefined'){
		var tds = hqDojo.query(".ListCell", containerTable);
		for(var i=0;i<tds.length;i++){
			var td = tds[i];			
			var img = hqDojo.query(">input[type=image]",td)[0];			
			img.title="<fmt:message key="resource.common.inventory.changeresourceowner.selectuser" />";			
			img.alt="<fmt:message key="resource.common.inventory.changeresourceowner.selectuser" />";
		}
	}
</jsu:script>

<tiles2:insertDefinition name=".toolbar.list">
  <tiles2:putAttribute name="noButtons" value="true"/>
  <tiles2:putAttribute name="listItems" value="${users}"/>
  <tiles2:putAttribute name="listSize" value="${userCount}"/>
  <tiles2:putAttribute name="pageSizeAction" value="${psAction}"/>
  <tiles2:putAttribute name="pageNumAction" value="${pnAction}"/>  
  <tiles2:putAttribute name="defaultSortColumn" value="3"/>
</tiles2:insertDefinition>

<form:hidden path="o" />
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
