<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%-- if the attributes are not available, we can't display this tile: an error probably occured --%>
<c:choose>
<c:when test="${AvailableRoles == null}">
<!-- error occured -->
<tiles:insertTemplate template="/common/NoRights.jsp"/>
</c:when>
<c:otherwise>
<c:url var="updateRole" value="/alerts/config/AddRoles.do"/>
<form:form method="POST" action="${updateRole}" modelAttribute="addRolesForm" >
<tiles:insertDefinition name=".page.title.events">
	<tiles:putAttribute name="titleKey" value="alert.config.edit.AddNotifications"/>
</tiles:insertDefinition>

<tiles:insertDefinition name=".portlet.error"/>

<tiles:insertTemplate template="/resource/common/monitor/alerts/config/DefinitionRolesForm.jsp">
  <tiles:putAttribute name="availableRoles" value="${AvailableRoles}"/>
  <tiles:putAttribute name="numAvailableRoles" value="${AvailableRoles.getTotalSize()}"/>
  <tiles:putAttribute name="pendingRoles" value="${PendingRoles}"/>
  <tiles:putAttribute name="numPendingRoles" value="${PendingRoles.getTotalSize()}"/>
</tiles:insertTemplate>

<tiles:insertDefinition name=".form.buttons">
  <tiles:putAttribute name="addToList" value="true"/>
</tiles:insertDefinition>

<tiles:insertDefinition name=".page.footer"/>
<form:hidden path="ad"/>
<form:hidden path="rid"/>
<form:hidden path="type"/>
<form:hidden path="aetid"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}"/>
</form:form>

</c:otherwise>
</c:choose>
