<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>


<%-- if the attributes are not available, we can't display this tile: an error probably occured --%>
<c:choose>
<c:when test="${AvailableUsers == null}">
<!-- error occured -->
<tiles:insertTemplate template="/common/NoRights.jsp"/>
</c:when>
<c:otherwise>
<c:url var="updateUser" value="/alerts/config/AddUsers.do"/>
<form:form method="POST" action="${updateUser}" modelAttribute="addUsersForm" >

<tiles:insertDefinition name=".page.title.events">
	<tiles:putAttribute name="titleKey" value="alert.config.edit.AddNotifications"/>
</tiles:insertDefinition>

<tiles:insertDefinition name=".portlet.error"/>

<tiles:insertTemplate template="/resource/common/monitor/alerts/config/DefinitionUsersForm.jsp">
  <tiles:putAttribute name="availableUsers" value="${AvailableUsers}"/>
  <tiles:putAttribute name="numAvailableUsers" value="${AvailableUsers.getTotalSize()}"/>
  <tiles:putAttribute name="pendingUsers" value="${PendingUsers}"/>
  <tiles:putAttribute name="numPendingUsers" value="${PendingUsers.getTotalSize()}"/>
</tiles:insertTemplate>

<tiles:insertDefinition name=".form.buttons">
  <tiles:putAttribute name="addToList" value="true"/>
</tiles:insertDefinition>

<tiles:insertDefinition name=".page.footer"/>

<form:hidden path="ad"/>
<form:hidden path="rid"/>
<form:hidden path="type"/>
<form:hidden path="aetid"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}"/>
</form:form>

</c:otherwise>
</c:choose>
