<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>

<hq:constant classname="org.hyperic.hq.ui.Constants"
                symbol="CONTROL_ACTION_NONE"
                   var="CONTROL_ACTION_NONE"/>
<jsu:importScript path="/js/prototype.js" />
<c:url var="editControlUrl" value="/alerts/EditControlAction.do"/>
<form:form action="${editControlUrl}"  method="POST" enctype="multipart/form-data" modelAttribute="controlActionForm">
<c:choose>
  <c:when test="${not empty Resource}">
    <form:hidden path="eid" value="${Resource.entityId.appdefKey}"/>
  </c:when>
  <c:otherwise>
    <form:hidden path="aetid" value="${ResourceType.appdefTypeKey}"/>
  </c:otherwise>
</c:choose>
<form:hidden path="ad"/>
<form:hidden path="id"/>

<tiles:insertDefinition name=".page.title.events">
	<tiles:putAttribute name="titleKey" value="alert.config.props.Control.NewActionTitle"/>
</tiles:insertDefinition>
<tiles:insertDefinition name=".header.tab">
    <tiles:putAttribute name="tabKey" value="alert.config.props.Control"/>
</tiles:insertDefinition>

<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <c:choose>
  <c:when test="${! empty controlActionForm.controlActions}">
  <tr valign="top">
    <td width="20%" class="BlockLabel">
      <img src="/images/icon_required.gif" width="9" height="9" border="0"/>
      <fmt:message key="alert.config.props.ControlType"/>
    </td>
    <c:if test="${not empty controlAction}">
    <td class="ErrorField">
    <form:select path="controlAction">
      <form:option value="${CONTROL_ACTION_NONE}" styleClass="boldText" id="alert.config.props.ControlType.none"/>
      <form:options items="${controlActionForm.controlActions}" itemLabel="label" itemValue="value"/>
    </form:select>
    <span class="ErrorFieldContent">- <form:errors path="controlAction"/></span>
    </td>
    </c:if>
    <c:if test="${empty controlAction}">
    <td class="BlockContent">
    <form:select path="controlAction">
      <form:option value="${CONTROL_ACTION_NONE}" styleClass="boldText" id="alert.config.props.ControlType.none"/>
      <form:options items="${controlActionForm.controlActions}" itemLabel="label" itemValue="value"/>
    </form:select>
    </td>
    </c:if>
  </tr>
  </c:when>
  <c:otherwise>
  <tr valign="top">
    <td width="20%" class="BlockLabel">
      <fmt:message key="resource.common.inventory.security.ResourceTypeLabel"/>
    </td>
    <td class="BlockContent">
	<jsu:script>
	  	function fillResources(select) {
        	hqDojo.byId('resourceSelect').innerHTML = "";
	        hqDojo.byId('actionSelect').innerHTML = "";
    	    if (select.value != "-1") {
        		hqDojo.xhrGet( {
		            <c:url var="editControlActionResourcesUrl" value="/alerts/EditControlActionResources.do">
						<c:param name="eid" value="${controlActionForm.resource}"/>
        				<c:param name="aetid" value="{aetid}"/>
		        	</c:url>
        		    url: unescape('${editControlActionResourcesUrl}').replace("{aetid}", select.options[select.selectedIndex].value),
            		handleAs: "text",
            		timeout: 5000,
            		load: function(data, ioArgs) {
                		hqDojo.byId('resourceSelect').innerHTML = data;
                		fillActions(hqDojo.byId('resource'));
            		},
            		error: function(data){
                		console.debug("An error occurred fetching resources:");
                		console.debug(data);
            		}
        		});
        	}
      	}

      	function fillActions(select) {
        	hqDojo.byId('actionSelect').innerHTML = "";
        	if (select.value != "-1") {
        		hqDojo.xhrGet( {
        			<c:url var="editControlActionTypesUrl" value="/alerts/EditControlActionTypes.do">
						<c:param name="action" value="${controlActionForm.controlAction}"/>
        				<c:param name="eid" value="{eid}"/>
        			</c:url>
            		url: unescape('${editControlActionTypesUrl}').replace("{eid}", select.options[select.selectedIndex].value),
            		handleAs: "text",
            		timeout: 5000,
            		load: function(data, ioArgs) {
                		hqDojo.byId('actionSelect').innerHTML = data;
            		},
            		error: function(data){
                		console.debug("An error occurred fetching resource actions:");
                		console.debug(data);
            		}
        		});
        	}
      	}
	</jsu:script>
	<jsu:script onLoad="true">
      	fillResources(document.forms['controlActionForm'].appdefTypeKey);
	</jsu:script>
      <form:select path="appdefTypeKey" onchange="fillResources(this)">
        <c:if test="${controlActionForm.platformTypesAvail}">
          <form:option disabled="true" value="-1" styleClass="boldText"><fmt:message key="resource.group.inventory.New.props.PlatformType"/></form:option>
          <form:options items="${controlActionForm.platformTypes}"/>
        </c:if>
        <c:if test="${controlActionForm.serverTypesAvail}">
          <form:option disabled="true" value="-1" styleClass="boldText"><fmt:message key="resource.group.inventory.New.props.ServerType"/></form:option>
          <form:options items="${controlActionForm.serverTypes}"/>
         </c:if>
        <c:if test="${controlActionForm.serviceTypesAvail}">
          <form:option disabled="true" value="-1" styleClass="boldText"><fmt:message key="resource.group.inventory.New.props.ServiceType"/></form:option>
          <form:options items="${controlActionForm.serviceTypes}"/>
        </c:if>
      </form:select>
    </td>
  </tr>
  <tr valign="top">
    <td width="20%" class="BlockLabel">
      <img src="/images/icon_required.gif" width="9" height="9" border="0"/>
      <fmt:message key="resource.common.inventory.security.ResourceNameLabel"/>
    </td>
    <td class="BlockContent">
    <span id="resourceSelect"></span>
    </td>
  </tr>
  <tr valign="top">
    <td width="20%" class="BlockLabel">
      <img src="/images/icon_required.gif" width="9" height="9" border="0"/>
      <fmt:message key="alert.config.props.ControlType"/>
    </td>
	<c:if test="${not empty controlAction}">
    <td class="ErrorField"><span id="actionSelect"></span>
    <span class="ErrorFieldContent">- <form:errors path="controlAction"/></span>
    </td>
    </c:if>
    <c:if test="${empty controlAction}">
    <td class="BlockContent"><span id="actionSelect"></span></td>
   </c:if>
  </tr>
  </c:otherwise>
  </c:choose>
  <tr>
    <td colspan="4" class="BlockBottomLine">
      <img src="/images/spacer.gif" width="1" height="1" border="0"/>
    </td>
  </tr>
</table>

<tiles:insertDefinition name=".form.buttons"/>

<tiles:insertDefinition name=".page.footer"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
</form:form>
