<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<tiles:importAttribute name="formAction" ignore="true"/>
<tiles:importAttribute name="addMode" ignore="true"/>
<tiles:importAttribute name="defaultSortColumn" ignore="true"/>
<tiles:importAttribute name="notificationsTile" ignore="true"/>
<c:url var="viewUrl" value="/Config.do" context="/alerts">
  	<c:choose>
  		<c:when test="${not empty Resource}">
    		<c:param name="eid" value="${Resource.entityId.appdefKey}"/>
  		</c:when>
  		<c:otherwise>
    		<c:param name="aetid" value="${ResourceType.appdefTypeKey}"/>
  		</c:otherwise>
  	</c:choose>
  	<c:param name="ad" value="${alertDef.id}"/>
</c:url>
<c:url var="selfUrl" value="${viewUrl}">
  	<c:param name="mode" value="${param.mode}"/>
</c:url>
<c:url var="viewControlUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewControl"/>
</c:url>
<c:url var="viewRolesUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewRoles"/>
</c:url>
<c:url var="viewUsersUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewUsers"/>
</c:url>
<c:url var="viewOthersUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewOthers"/>
</c:url>
<c:url var="viewSnmpUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewSnmp"/>
</c:url>
<c:url var="viewEscalationUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewEscalation"/>
</c:url>
<c:url var="viewOpenNMSUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewOpenNMS"/>
</c:url>
<c:url var="viewScriptUrl" value="${viewUrl}">
  	<c:param name="mode" value="viewScript"/>
</c:url>
<tiles:insertDefinition  name=".events.config.view.notifications.tabs">
	 <tiles:putAttribute  name="viewControlUrl" value="${viewControlUrl}"/>    
     <tiles:putAttribute  name="viewRolesUrl" value="${viewRolesUrl}"/>  
     <tiles:putAttribute  name="viewUsersUrl" value="${viewUsersUrl}"/>    
     <tiles:putAttribute  name="viewOthersUrl" value="${viewOthersUrl}"/>    	
     <tiles:putAttribute  name="viewSnmpUrl" value="${viewSnmpUrl}"/>    
     <tiles:putAttribute  name="viewEscalationUrl" value="${viewEscalationUrl}"/>    	
     <tiles:putAttribute  name="viewOpenNMSUrl" value="${viewOpenNMSUrl}"/>    
     <tiles:putAttribute  name="viewScriptUrl" value="${viewScriptUrl}"/>    	  	 
</tiles:insertDefinition>
<jsu:importScript path="/js/listWidget.js" />
<c:set var="widgetInstanceName" value="list"/>
<jsu:script>
	var pageData = new Array();
	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	widgetProperties = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	<!--alert("${formAction}");-->

</jsu:script>
<c:choose>
	<c:when test="${not empty formAction}">
		<!-- FORM -->
		<c:url var="removeaction" value="${formAction}.do"/>
		<form:form action="${removeaction}" modelAttribute="removeNotificationsForm" method="POST" >
			<form:hidden path="ad" value="${alertDef.id}"/>
            <input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}"/>			
			<c:choose>
				<c:when test="${not empty Resource}">
  					<form:hidden path="rid" value="${Resource.id}"/>
  					<form:hidden path="type" value="${Resource.entityId.type}"/>
				</c:when>
				<c:otherwise>
  					<form:hidden path="aetid" value="${ResourceType.appdefTypeKey}"/>
				</c:otherwise>
			</c:choose>
			<tiles:insertDefinition name="${notificationsTile}">
				 <tiles:putAttribute name="selfUrl" value="${selfUrl}"/>                
			</tiles:insertDefinition>		
			<%-- if the attributes are not available, we can't display this tile: an error probably occured --%>
  			<c:choose>
    			<c:when test="${empty notifyList && empty listSize}">
    			</c:when>
    			<c:when test="${empty notifyList && listSize != 0}">
      				<!-- permission error occured -->
      				<fmt:message key="alert.config.error.no.permission"/>
    			</c:when>
    			<c:otherwise>
      				<form:hidden path="so" value="${fn:escapeXml(param.so)}"/>
      				<form:hidden path="sc" value="${fn:escapeXml(param.sc)}"/>
    
    				<c:if test="${canModify}">
	      				<tiles:insertDefinition  name=".toolbar.addToList">
	  						<c:choose>
	  							<c:when test="${not empty Resource}">
	    							<c:url var="addToListUrl" value="/alerts/Config.do">
	    								<c:param name="mode" value="${addMode}"/>
	    								<c:param name="eid" value="${Resource.entityId.appdefKey}" />
	    								<c:param name="ad" value="${alertDef.id}" />
	    							</c:url>
	  							</c:when>
	  							<c:otherwise>
	    							<c:url var="addToListUrl" value="/alerts/Config.do">
	    								<c:param name="mode" value="${addMode}"/>
	    								<c:param name="aetid" value="${ResourceType.appdefTypeKey}" />
	    								<c:param name="ad" value="${alertDef.id}" />
	    							</c:url>
	  							</c:otherwise>
	  						</c:choose>
	  						<tiles:putAttribute name="addToListUrl" value="${addToListUrl}"/>
	        				<tiles:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
	        				<tiles:putAttribute name="listItems" value="${notifyList}"/>
	        				<tiles:putAttribute name="listSize" value="${listSize}"/>
	        				<tiles:putAttribute name="defaultSortColumn" value="${defaultSortColumn}"/>
	        				<tiles:putAttribute name="pageNumAction" value="${selfUrl}"/>
	      					<tiles:putAttribute name="pageSizeAction" value="${selfUrl}"/>
	      				</tiles:insertDefinition>
	      			</c:if>
    			</c:otherwise>
  			</c:choose>
		</form:form>
	</c:when>
	<c:otherwise>
			<tiles:insertDefinition name="${notificationsTile}">
				 <tiles:putAttribute name="selfUrl" value="${selfUrl}"/>                
			</tiles:insertDefinition>
	</c:otherwise>
</c:choose>
<br/>
