<%@ page language="java"%>
<%@ page errorPage="/common/Error.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!--%@ taglib uri="http://struts.apache.org/tags-html-el" prefix="html" %-->
<!--%@ taglib uri="http://struts.apache.org/tags-tiles" prefix="tiles" %-->

<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>

<%-- Don't insert the sub-tiles if there is no alert and no alertDef. --%>
<% 
   String csrf_nonce = request.getParameter("org.apache.catalina.filters.CSRF_NONCE");
   pageContext.setAttribute("csrfNonce", csrf_nonce); 
%>

<c:if test="${not empty alert}">
	<c:set var="alertDef" value="${GroupAlertDefinitionForm}" />
        <c:url var="alertsUrl" value="/alerts/Alerts.do" />

	<form:form action="${alertsUrl}" name="FixAlertsForm" modelAttribute="FixAlertsForm">
		<input type=hidden name="a" value="<c:out value="${alert.id}"/>" />
		<input type=hidden name="mode" id="mode" value="" />
		<input type=hidden name="eid" value="<c:out value="${Resource.entityId}"/>" />
        <input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
		<tiles2:insertDefinition name=".page.title.events">
			<tiles2:putAttribute name="titleKey" value="alert.current.detail.PageTitle" />
		</tiles2:insertDefinition>

		<tiles2:insertDefinition name=".events.alert.view.nav" flush="true" />
		<tiles2:insertDefinition name=".portlet.confirm" />
		<tiles2:insertDefinition name=".portlet.error" />

		<!-- Content Block Title: Properties -->
		<tiles2:insertDefinition name=".header.tab">
			<tiles2:putAttribute name="tabKey" value="alert.current.detail.props.Title" />
		</tiles2:insertDefinition>

		<!-- Properties Content -->
		<table width="100%" cellpadding="0" cellspacing="0" class="TableBottomLine">
			<tr>
				<td colspan="100%" class="BlockContent">
                                        <c:url var="spacerUrl" value="/images/spacer.gif" />
					<img src="${spacerUrl}" width="1" height="1" border="0" />
				</td>
			</tr>
			<tr valign="top">
				<td width="20%" class="BlockLabel">
					<fmt:message key="common.label.Name" />
				</td>
				<td width="30%" class="BlockContent">
					<c:choose>
						<c:when test="${not empty Resource}">

                                                        <a href="/alerts/Config.do?mode=viewGroupDefinition&eid=${Resource.entityId.appdefKey}&ad=${alert.definition.id}&org.apache.catalina.filters.CSRF_NONCE=${fn:escapeXml(csrfNonce)}">${alertDef.name}</a>
						</c:when>
						<c:otherwise>

							<c:out value="${alertDef.name}" />
						</c:otherwise>
					</c:choose>
				</td>
				<td width="20%" class="BlockLabel">
					<fmt:message key="alert.config.props.PB.Priority" />
				</td>
				<td width="30%" class="BlockContent">
					<fmt:message key="${'alert.config.props.PB.Priority.'}${alertDef.priority}" />
				</td>
			</tr>
			<tr valign="top">
				<td class="BlockLabel">
					<fmt:message key="common.label.Resource" />
				</td>
				<td class="BlockContent">
                                        <a href="/Resource.do?eid=${Resource.entityId}" >${Resource.name}</a>
				</td>
				<td class="BlockLabel">
					<fmt:message key="alert.current.detail.props.AlertDate" />
				</td>
				<td class="BlockContent">
					<hq:dateFormatter time="false" value="${alert.timestamp}" />
				</td>
			</tr>
			<tr valign="top">
				<td class="BlockLabel">&nbsp;
					<c:if test="${not empty alertDef.description}">
						<fmt:message key="common.label.Description" />
					</c:if>
				</td>
				<td class="BlockContent">
					<c:out value="${alertDef.description}" />
				</td>
				<td class="BlockLabel">
					<fmt:message key="alert.config.props.PB.AlertStatus" />
				</td>
				<td width="30%" class="BlockContent">
					<!-- For now, the alert is fixed, or not fixed -->
					<c:choose>
						<c:when test="${alert.fixed}">
                                                        <c:url var="iconFixedUrl" value="/images/icon_fixed.gif" />
							<img src="${iconFixedUrl}" width="12" height="12" border="0" />
							<fmt:message key="resource.common.alert.action.fixed.label" />
						</c:when>
						<c:otherwise>
                                                        <c:url var="iconAvailableRedUrl" value="/images/icon_available_red.gif" /> 
							<img src="${iconAvailableRedUrl}" width="12" height="12" border="0" />
							<fmt:message key="resource.common.alert.action.notfixed.label" />
						</c:otherwise>
					</c:choose>
				</td>
			</tr>
			<tr valign="top">
				<td class="BlockLabel">
					<fmt:message key="alert.view.details" />
				</td>
				<td class="BlockContent" colspan="3">
					<c:out value="${alert.longReason}" />
				</td>
			</tr>
			<c:forEach var="log" varStatus="status" items="${auxLogs}">
				<tr>
					<td class="BlockLabel">
						<span class="italicInfo">
							<hq:dateFormatter value="${log.timestamp}" /> <fmt:message key="common.label.Dash" />
						</span>
					</td>
					<td colspan="3" class="BlockContent">
						<c:out value="${log.description}" />
					</td>
				</tr>
			</c:forEach>
		</table>&nbsp;
		<br>

		<tiles2:insertDefinition name=".header.tab">
			<tiles2:putAttribute name="tabKey" value="monitoring.events.MiniTabs.Escalation" />
		</tiles2:insertDefinition>

		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<c:if test="${not empty escalation}">
				<tr>
					<td width="20%" class="BlockLabel">
						<fmt:message key="common.header.EscalationName" />
					</td>
					<td class="BlockContent" colspan="2">
						<c:out value="${escalation.name}" />
					</td>
				</tr>
				<tr>
					<td colspan="3" class="BlockContent">
						<tiles2:insertTemplate template="/resource/common/monitor/alerts/config/ViewEscalation.jsp">
							<tiles2:putAttribute name="chooseScheme" value="false" />
						</tiles2:insertTemplate>
					</td>
				</tr>
			</c:if>
			<tr>
				<td width="20%" class="BlockLabel" style="padding-left: 4px;">
					<fmt:message key="common.label.EscalationActionLogs" />
				</td>
				<td class="BlockContent" colspan="2">&nbsp;</td>
			</tr>
			<c:forEach var="log" varStatus="status" items="${actionLogs}">
				<tr>
					<td class="BlockLabel">
						<span class="italicInfo">
							<hq:dateFormatter value="${log.timeStamp}" /> 
							<fmt:message key="common.label.Dash" />
						</span>
					</td>
					<td colspan="3" class="BlockContent">
						<c:out value="${log.detail}" />
					</td>
				</tr>
			</c:forEach>
			<c:if test="${not empty escalation && acknowledgeable && canTakeAction}">
	  			<tr>
	    			<td width="20%" class="BlockLabel" valign="top" align="right">
	    				<span class="BoldText"><fmt:message key="resource.common.alert.ackNote"/></span>
	    			</td>
	    			<td colspan="2" class="BlockContent">
                                        <form:textarea cols="70" rows="4" path="ackNote" />
	     			</td>
	  			</tr>
	  			<tr>
	    			<td width="20%" class="BlockLabel">&nbsp;</td>
		    		<td width="80%" class="BlockContent">
				 		<c:if test="${escalation.pauseAllowed}">
					  		<div id="AlertEscalationOption" syle="text-align:left;">
					     		<input type="checkbox" name="pause" value="true" checked="checked" onclick="hqDojo.byId('pauseTimeSel').disabled = !this.checked;" />&nbsp;<fmt:message key="alert.escalation.pause"/>
					  		</div>	  
				  		</c:if>&nbsp;
		          		<div style="text-align:left;">
					  		<tiles2:insertTemplate template="/common/components/ActionButton.jsp">
		  			     		<tiles2:putAttribute name="labelKey" value="resource.common.alert.action.acknowledge.label"/>
		                 		<tiles2:putAttribute name="buttonClick">hqDojo.byId('mode').setAttribute('value', 'ACKNOWLEDGE'); document.forms[0].submit();</tiles2:putAttribute>
		              		</tiles2:insertTemplate>
		          		</div>
		    		</td>
		  		</tr>
			</c:if>
		</table>
		<jsu:script>
	  		var isButtonClicked = false;
	  	  
	  		function checkSubmit() {
	    		if (isButtonClicked) {
	      			alert('<fmt:message key="error.PreviousRequestEtc"/>');
	     	 		return false;
	    		}
	  		}
	
	  		var escalationSpan = hqDojo.byId("AlertEscalationOption");
	
	  	  	if (escalationSpan != null) {
		  		escalationSpan.appendChild(hyperic.form.createEscalationPauseOptions({id: "pauseTimeSel", name: "pauseTime"}, <c:out value="${escalation.maxPauseTime}"/>));
	  		}
		</jsu:script>
		<c:if test="${canTakeAction}">
			<tiles2:insertDefinition name=".header.tab">
	  			<tiles2:putAttribute name="tabKey" value="resource.common.alert.action.fix.header"/>
			</tiles2:insertDefinition>                                                                                                                           
			<table cellpadding="10" cellspacing="0" border="0" width="100%" id="fixedSection">
				<tr>
					<c:choose>
						<c:when test="${not alert.fixed}">
							<c:if test="${not empty fixedNote}">
					  			<td class="BlockContent" align="right" valign="top" width="20%">
					    			<div class="BoldText"><fmt:message key="resource.common.alert.previousFix"/></div>
					    		</td>
					    		<td class="BlockContent" colspan="2" width="80%">    		
					       			<c:out value="${fixedNote}"/>
					       		</td>
					       	</tr>
					       	<tr>
					    	</c:if>
					    	
					    		<td class="BlockLabel" align="right" valign="top" width="20%"><fmt:message key="resource.common.alert.fixedNote"/></td>
					    		<td class="BlockContent" colspan="2" width="80%">
					    			<form:textarea path="fixedNote" cols="70" rows="5" />
					  			</td>
							</tr>
							<tr>
					  			<td class="BlockContent" width="20%" align="right">&nbsp;</td>
					  			<td class="BlockContent" width="5%" style="padding-top: 6px; padding-bottom: 6px;">
						</c:when>
						<c:when test="${not empty fixedNote}">
					  		<td class="BlockContent" width="20%" align="right">&nbsp;</td>
					  		<td class="BlockContent">
					  			<div style="padding: 4px; 0"><c:out value="${fixedNote}"/></div>
						</c:when>
						<c:otherwise>
							<td class="BlockContent" width="20%" align="right">&nbsp;</td>	
					  		<td class="BlockContent">
					  			<div style="padding: 4px 0;"><fmt:message key="resource.common.alert.beenFixed"/></div>
						</c:otherwise>
					</c:choose>
                                        <c:url var="actionButtonUrl" value="/images/icon_fixed.gif" />
					<tiles2:insertTemplate template="/common/components/ActionButton.jsp">
	  					<tiles2:putAttribute name="labelKey" value="resource.common.alert.action.fixed.label"/>
	  					<tiles2:putAttribute name="buttonClick">hqDojo.byId('mode').setAttribute('value', 'FIXED'); document.forms[0].submit();</tiles2:putAttribute>
	  					<tiles2:putAttribute name="icon"><img src="${actionButtonUrl}" alt="Click to mark as Fixed" title="Click to mark as Fixed" align="middle"/></tiles2:putAttribute>
	  					<c:choose>
					  	 <c:when test="${not alert.fixed}">
					     	<tiles2:putAttribute name="disabled" value="false"/>
					     </c:when>
					     <c:otherwise>
					        <tiles2:putAttribute name="hidden" value="true"/>
					     </c:otherwise>
					  	</c:choose>
					</tiles2:insertTemplate>
	    			<c:if test="${not alert.fixed}">
	      				<td class="BlockContent">
	        				<fmt:message key="resource.common.alert.clickToFix"/>
	      				</td>
	    			</c:if>
	  			</td>
			</tr>
			</table>
		</c:if>
		<tiles2:insertDefinition name=".events.alert.view.nav" flush="true" />
		<tiles2:insertDefinition name=".page.footer" />
	</form:form>
</c:if>