<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%-- Tile for displaying a detailed status list for a group control action,
     whether current or history.
    
    @param returnUrl The url displayed at the bottom and top of the table
    @param returnKey The i18n key for the link text
--%>
<tiles2:importAttribute name="returnUrl"/>
<tiles2:importAttribute name="returnKey"/>
<tiles2:importAttribute name="noButtons" ignore="true"/>

<c:set var="section" value="group"/>

<c:set var="selfAction" value="/resource/${section}/Control.do?mode=${param.mode}&rid=${Resource.id}&type=${Resource.entityId.type}&bid=${param.bid}"/>

<c:url var="psAction" value="${selfAction}">
  <c:if test="${not empty param.pn}">
    <c:param name="pn" value="${param.pn}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${param.so}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${param.sc}"/>
  </c:if>
</c:url>

<c:url var="pnAction" value="${selfAction}">
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${param.ps}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${param.so}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${param.sc}"/>
  </c:if>
</c:url>

<%-- now add the context path --%>
<c:url var="selfActionUrl" value="${selfAction}"/>

<c:set var="listSize" value="${request.listSize}"/>
<c:set var="page" value="${hstDetailAttr}"/>
<c:set var="widgetInstanceName" value="controlAction"/>
<c:url var="fullReturnUrl" value="${returnUrl}">
	<c:param name="rid" value="${Resource.id}"/>
	<c:param name="type" value="${Resource.entityId.type}"/>
</c:url>
<jsu:importScript path="/js/listWidget.js" />
<jsu:script>
  var pageData = new Array();
  initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
  widgetProperties = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
</jsu:script>
<c:set var="entityId" value="${Resource.entityId}"/>
<tiles2:insertDefinition name=".page.title.resource.group">
  <tiles2:putAttribute name="eid" value="${entityId.appdefKey}" />
</tiles2:insertDefinition>
            
<tiles2:insertDefinition name=".page.return">
 <tiles2:putAttribute name="returnUrl" value="${fullReturnUrl}"/>
 <tiles2:putAttribute name="returnKey" value="${returnKey}"/>
</tiles2:insertDefinition>

<!-- HISTORY FORM -->
<tiles2:insertDefinition name=".resource.common.control.currentStatus">
 <tiles2:putAttribute name="tabKey" value="resource.group.ControlDetail.Tab"/>
 <tiles2:putAttribute name="isDetail" value="true"/>
</tiles2:insertDefinition>

<br/>

<c:url var="url_resourcegroupcontrolRemoveHistory" value="/resource/group/control/RemoveHistory.do"/>
<form:form modelAttribute="RemoveControlJobsForm" action="${url_resourcegroupcontrolRemoveHistory}">
<form:hidden path="rid" value="${Resource.id}"/>
<form:hidden path="type" value="${Resource.entityId.type}"/>
<input type="hidden" name="EV_CSRF_NONCE_Token" value="${EV_CSRF_NONCE_Token}" />
<c:forEach items="${hstDetailAttr}" var="tmpDetail" end="1">
 <c:choose>
  <c:when test="${tmpDetail.entityType eq '2'}">
   <c:set var="resourceType" value="server"/>       
  </c:when>
  <c:when test="${tmpDetail.entityType eq '3'}">
   <c:set var="resourceType" value="service"/>    
  </c:when>
  <c:when test="${tmpDetail.entityType eq '5'}">
   <c:set var="resourceType" value="group"/>       
  </c:when>
 </c:choose>
</c:forEach>

<display:table cellspacing="0" cellpadding="0" width="100%" action="${selfActionUrl}"
               orderValue="so" order="${fn:escapeXml(param.so)}" sortValue="sc" sort="${fn:escapeXml(param.sc)}" pageValue="pn" 
               page="${fn:escapeXml(param.pn)}" pageSizeValue="ps" pageSize="${fn:escapeXml(param.ps)}" 
               items="${hstDetailAttr}" var="hstDetail"> 
  <display:column width="16%" property="entityName" sort="true" sortAttr="9"
                  defaultSort="false" title="resource.group.ControlDetail.ListHeader.Resource" 
                  href="/resource/${resourceType}/Control.do?mode=history&eid=${fn:escapeXml(hstDetail.entityType)}:${fn:escapeXml(hstDetail.entityId)}" />
  <display:column width="10%" property="status" sort="true" sortAttr="10"
                  defaultSort="false" title="resource.group.ControlDetail.ListHeader.Status" /> 
   <display:column width="14%" property="args" title="resource.server.ControlHistory.ListHeader.Arguments">
   </display:column>
  <display:column width="15%" property="startTime" sort="true" sortAttr="11"
                  defaultSort="true" title="resource.group.ControlDetail.ListHeader.Started">
   <display:datedecorator/>
  </display:column>
  <display:column width="10%" property="duration" sort="true" sortAttr="12"
                  defaultSort="false" title="resource.group.ControlDetail.ListHeader.Elapsed"> 
   <display:datedecorator isElapsedTime="true"/>
  </display:column> 
  <display:column width="35%" property="message"
                  defaultSort="false" title="common.header.Description"/>
</display:table>

<tiles2:insertDefinition name=".toolbar.list">
  <tiles2:putAttribute name="listItems" value="${page}"/>
  <tiles2:putAttribute name="noButtons" value="true"/>
  <tiles2:putAttribute name="listSize" value="${hstDetailAttr.getTotalSize()}" />
  <tiles2:putAttribute name="pageSizeAction" value="${psAction}" />
  <tiles2:putAttribute name="pageNumAction" value="${pnAction}"/>
  <tiles2:putAttribute name="defaultSortColumn" value="11"/>
  <tiles2:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
</tiles2:insertDefinition>
<!-- /  -->

<c:if test="${empty noButtons}">
 <%-- delete the current control action --%>
 <form:hidden path="controlActions" value="${fn:escapeXml(param.bid)}"/>
 <tiles2:insertDefinition name=".form.buttons.deleteCancel"/>
</c:if>
</form:form>

<tiles2:insertDefinition name=".page.return">
 <tiles2:putAttribute name="returnUrl" value="${fullReturnUrl}"/>
 <tiles2:putAttribute name="returnKey" value="${returnKey}"/>
</tiles2:insertDefinition>
            
