<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>


<!-- CONSTANT DEFINITIONS -->
<hq:constant
    classname="org.hyperic.hq.appdef.shared.AppdefEntityConstants" 
    symbol="APPDEF_TYPE_GROUP_ADHOC_PSS" var="CONST_ADHOC_PSS" />
<hq:constant
    classname="org.hyperic.hq.appdef.shared.AppdefEntityConstants" 
    symbol="APPDEF_TYPE_GROUP_ADHOC_GRP" var="CONST_ADHOC_GRP" />
<hq:constant
        classname="org.hyperic.hq.appdef.shared.AppdefEntityConstants"
        symbol="APPDEF_TYPE_GROUP_DYNAMIC" var="CONST_DYNAMIC_GRP" />
<hq:constant
    classname="org.hyperic.hq.appdef.shared.AppdefEntityConstants"
    symbol="APPDEF_TYPE_GROUP_ADHOC_APP" var="CONST_ADHOC_APP" />
<hq:constant
    classname="org.hyperic.hq.appdef.shared.AppdefEntityConstants" 
    symbol="APPDEF_TYPE_GROUP_COMPAT_PS" var="CONST_COMPAT_PS" />
<hq:constant
    classname="org.hyperic.hq.appdef.shared.AppdefEntityConstants" 
    symbol="APPDEF_TYPE_GROUP_COMPAT_SVC" var="CONST_COMPAT_SVC" />
<hq:constant
    classname="org.hyperic.hq.ui.Constants" 
    symbol="CONTROL_ENABLED_ATTR" var="CONST_CONTROLLABLE" /> 

<c:set var="canControl" value="${requestScope[CONST_CONTROLLABLE]}"/>
<c:url var="selfAction" value="/resource/group/Inventory.do">
	<c:param name="mode" value="view"/>
	<c:param name="rid" value="${Resource.id}"/>
</c:url>    
<!-- TITLE BAR -->
<c:set var="entityId" value="${Resource.entityId}"/>
<tiles2:insertDefinition name=".page.title.resource.group.full">
	<tiles2:putAttribute name="resource" value="${Resource}"/>
    <tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
    <tiles2:putAttribute name="resourceModifier" value="${ResourceModifier}"/>
    <tiles2:putAttribute name="eid" value="${entityId.appdefKey}"/>
</tiles2:insertDefinition>

<!-- CONTROL BAR -->
<c:choose>
    <c:when test="${Resource.groupType == CONST_ADHOC_PSS ||
                    Resource.groupType == CONST_ADHOC_GRP ||
                    Resource.groupType == CONST_ADHOC_APP}">
            <tiles2:insertDefinition name=".tabs.resource.group.inventory.inventoryonly">
            	<tiles2:putAttribute name="resource" value="${Resource}"/>
            	<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
        </tiles2:insertDefinition>
    </c:when>
    <c:when test="${Resource.groupType == CONST_DYNAMIC_GRP}">
        <tiles2:insertDefinition name=".tabs.resource.group.inventory.inventoryonlynoviews">
            <tiles2:putAttribute name="resource" value="${Resource}"/>
           	<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
        </tiles2:insertDefinition>
    </c:when>

    <c:when test="${ canControl }"> 
        <tiles2:insertDefinition name=".tabs.resource.group.inventory">
            <tiles2:putAttribute name="resource" value="${Resource}"/>
           	<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
        </tiles2:insertDefinition>
    </c:when>
    <c:otherwise>
        <tiles2:insertDefinition name=".tabs.resource.group.inventory.nocontrol">
            <tiles2:putAttribute name="resource" value="${Resource}"/>
           	<tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
        </tiles2:insertDefinition>
    </c:otherwise>
</c:choose>

<tiles2:insertDefinition name=".portlet.confirm"/>
<tiles2:insertDefinition name=".portlet.error"/>

<div id="panel1">
<div id="panelHeader" class="accordionTabTitleBar">
<!--  GENERAL PROPERTIES TITLE -->
  <fmt:message key="resource.common.inventory.props.GeneralPropertiesTab"/>
</div>
<div id="panelContent">
<tiles2:insertDefinition name=".resource.common.inventory.generalProperties.view">
  <tiles2:putAttribute name="resource" value="${Resource}"/>
  <tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
  <tiles2:putAttribute name="resourceModifier" value="${ResourceModifier}"/>
  <tiles2:putAttribute name="groupType" value="${GroupType}"/>
</tiles2:insertDefinition>
</div>

<c:if test="${not empty Applications}">
<!-- LIST APPLICATIONS SECTION -->
<div id="panel2">
<div id="panelHeader" class="accordionTabTitleBar">
  <fmt:message key="resource.service.inventory.ApplicationsTab"/>
</div>
<div id="panelContent">
  <tiles2:insertDefinition name=".resource.service.inventory.applications">
    <tiles2:putAttribute name="service" value="${Resource}"/>
    <tiles2:putAttribute name="applications" value="${Applications}"/>
    <tiles2:putAttribute name="selfAction" value="${selfAction}"/>
  </tiles2:insertDefinition>
</div>
</div>
</c:if>

<!-- LIST RESOURCES SECTION -->
<div id="panel3">
<div id="panelHeader" class="accordionTabTitleBar">
<!--  RESOURCES, COMPATIBLE TITLE -->
<fmt:message key="resource.group.inventory.ResourcesTab"/>
<span class="BlockSubtitle">
           <c:choose>
              <c:when test="${Resource.groupType == CONST_ADHOC_PSS || Resource.groupType == CONST_DYNAMIC_GRP}">
                <fmt:message key="resource.group.inventory.tab.Mixed"/>
              </c:when>
              <c:when test="${Resource.groupType == CONST_COMPAT_PS ||
                              Resource.groupType == CONST_COMPAT_SVC}"> 
                <fmt:message key="resource.group.inventory.tab.Compatible">
                    <fmt:param value="${fn:escapeXml(Resource.appdefResourceTypeValue.name)}"/>
                </fmt:message>
              </c:when>
              <c:when test="${Resource.groupType == CONST_ADHOC_APP }"> 
                <fmt:message key="resource.group.inventory.tab.GroupOfApplication"/>
              </c:when>
              <c:otherwise> 
                <fmt:message key="resource.group.inventory.tab.GroupOfGroup"/>
              </c:otherwise>
            </c:choose>
</span>
<!--  /  -->
</div>
<div id="panelContent">
<tiles2:insertTemplate template="/resource/group/inventory/ResourceCounts.jsp">
    <tiles2:putAttribute name="resourceCount" value="${AppdefEntriesTotalSize}"/>
    <tiles2:putAttribute name="resourceTypeMap" value="${ResourceTypeMap}"/>
</tiles2:insertTemplate>
<tiles2:insertTemplate template="/resource/group/inventory/ListResources.jsp">
  <tiles2:putAttribute name="resourceOwner" value="${ResourceOwner}"/>
  <tiles2:putAttribute name="groupType" value="${GroupType}"/>
</tiles2:insertTemplate>
</div>
</div>

<c:if test="${useroperations['viewRole'] && !(Resource.groupType == CONST_DYNAMIC_GRP)}">
<div id="panel4">
<div id="panelHeader" class="accordionTabTitleBar">
  <fmt:message key="admin.user.RolesAssignedTo"/>
</div>
<div id="panelContent">
<tiles2:insertTemplate template="/resource/group/inventory/ListRoles.jsp"/>
</div>
</div>
</c:if>

<!-- FOOTER SECTION -->
<tiles2:insertDefinition name=".page.footer"/>


