<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>


<hq:constant
    classname="org.hyperic.hq.ui.Constants" 
    symbol="CONTROL_ENABLED_ATTR" var="CONST_CONTROLLABLE" /> 

<c:set var="entityId" value="${Resource.entityId}"/>
<c:set var="selfAction" value="/resource/group/monitor/Visibility.do?mode=resourceMetrics&eid=${fn:escapeXml(entityId.type)}:${fn:escapeXml(Resource.id)}"/>

<c:set var="memberTypeLabel" value="${fn:escapeXml(Resource.groupTypeLabel)}" />

<tiles2:insertDefinition name=".resource.common.monitor.visibility.dashminitabs">
  <tiles2:putAttribute name="selectedIndex" value="1"/>
  <tiles2:putAttribute name="resourceId" value="${Resource.id}"/>
  <tiles2:putAttribute name="resourceType" value="${entityId.type}"/>
  <tiles2:putAttribute name="entityType" value="group"/>
  <c:if test="${perfSupported}">
    <tiles2:putAttribute name="tabListName" value="perf"/>
  </c:if>
</tiles2:insertDefinition>

<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td>
 <c:url var="MetricsDisplayFormAction" value="/resource/group/monitor/visibility/GroupMetrics.do"/>
 <form:form modelAttribute="MetricsDisplayForm" action="${MetricsDisplayFormAction }">

<tiles2:insertDefinition name=".resource.common.monitor.visibility.metricsDisplay">
  <tiles2:putAttribute name="summaries" value="${MetricSummaries}"/>
  <tiles2:putAttribute name="buttonMode" value="noleft"/>
  <tiles2:putAttribute name="selfAction" value="${selfAction}"/>
  <tiles2:putAttribute name="useChartMulti" value="false"/>
  <tiles2:putAttribute name="useCurrent" value="true"/>
</tiles2:insertDefinition>

    <div>
    <fmt:message key="resource.group.monitor.visibility.CurrentHealthOfCollecting">
        <fmt:param value="${memberTypeLabel}"/>
    </fmt:message>
    </div>
<tiles2:insertDefinition name=".resource.common.monitor.visibility.childResourcesCurrentHealthByType">
  <tiles2:putAttribute name="summaries" value="${pagedMembers}"/>
  <tiles2:putAttribute name="summariesTotalSize" value="${pagedMembersTotalSize}"/>
  <tiles2:putAttribute name="memberTypeLabel" value="${memberTypeLabel}" />
  <tiles2:putAttribute name="selfAction" value="${selfAction}"/>
</tiles2:insertDefinition>
<form:hidden path="h"/>
<form:hidden path="rid"/>
<form:hidden path="type"/>

<input type="hidden" name="name" value="${Resource.name}"/>
<input type="hidden" name="ctype" value="${Resource.groupEntType}:${Resource.groupEntResType}"/>
<input type="hidden" name="appdefType" value="${Resource.groupEntType}"/>
</form:form>
    </td>
  </tr>
</table>
