<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="/WEB-INF/tld/display.tld" prefix="display" %>
<%@ taglib tagdir="/WEB-INF/tags/jsUtils" prefix="jsu" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="https://www.owasp.org/index.php/OWASP_Java_Encoder_Project" prefix="owasp" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004, 2005, 2006], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>

<hq:pageSize var="pageSize"/>
<tiles2:importAttribute name="selfAction"/>
<tiles2:importAttribute name="ctype" ignore="true"/>
<tiles2:importAttribute name="services"/>
<tiles2:importAttribute name="ServicesTotalSize"/>

<c:choose>
  <c:when test="${empty ctype}">
    <c:url var="newServiceUrl" value="/resource/service/Inventory.do">
    	<c:param name="mode" value="new"/>
    	<c:param name="eid" value="${Resource.entityId.type}:${Resource.id}"/>
    </c:url>
  </c:when>
  <c:otherwise>
    <c:url var="newServiceUrl" value="/resource/service/Inventory.do">
    	<c:param name="mode" value="new"/>
    	<c:param name="ctype" value="${ctype}"/>
    	<c:param name="eid" value="${Resource.entityId.type}:${Resource.id}"/>
    </c:url>
  </c:otherwise>
</c:choose>

<c:set var="widgetInstanceName" value="listServices"/>

<c:url var="pssAction" value="${selfAction}">
  <c:if test="${not empty param.pn}">
    <c:param name="pn" value="${owasp:forUriComponent(param.pn)}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${owasp:forUriComponent(param.so)}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${owasp:forUriComponent(param.sc)}"/>
  </c:if>
  <c:if test="${not empty param.resourceType}">
    <c:param name="resourceType" value="${param.resourceType}"/>
  </c:if>
</c:url>

<c:url var="pnsAction" value="${selfAction}">
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${owasp:forUriComponent(param.ps)}"/>
  </c:if>
  <c:if test="${not empty param.so}">
    <c:param name="so" value="${owasp:forUriComponent(param.so)}"/>
  </c:if>
  <c:if test="${not empty param.sc}">
    <c:param name="sc" value="${owasp:forUriComponent(param.sc)}"/>
  </c:if>
  <c:if test="${not empty param.resourceType}">
    <c:param name="resourceType" value="${param.resourceType}"/>
  </c:if>
</c:url>

<c:url var="ssAction" value="${selfAction}">
  <c:if test="${not empty param.ps}">
    <c:param name="ps" value="${owasp:forUriComponent(param.ps)}"/>
  </c:if>
  <c:if test="${not empty param.pn}">
    <c:param name="pn" value="${owasp:forUriComponent(param.pn)}"/>
  </c:if>
  <c:if test="${not empty param.resourceType}">
    <c:param name="resourceType" value="${param.resourceType}"/>
  </c:if>
</c:url>

<c:url var="fsAction" value="${selfAction}"/>
<jsu:importScript path="/js/listWidget.js" />
<jsu:script>
	initializeWidgetProperties('<c:out value="${widgetInstanceName}"/>');
	<c:out value="wp"/> = getWidgetProperties('<c:out value="${widgetInstanceName}"/>');
</jsu:script>
<c:url var="RemoveResourceFormAction" value="/resource/platform/inventory/RemoveServices.do"/>
<form:form modelAttribute="RemoveResourceForm" action="${RemoveResourceFormAction}">
<input type="hidden" name="rid" value="<c:out value="${Resource.id}"/>"/>
<input type="hidden" name="type" value="1"/>

<tiles2:insertDefinition name=".toolbar.filter.resource">
  <tiles2:putAttribute name="defaultKey" value="resource.hub.filter.AllServiceTypes"/>
  <tiles2:putAttribute name="filterAction" value="${fsAction}"/>
  <tiles2:putAttribute name="filterParam" value="resourceType"/>
  <tiles2:putAttribute name="optionsCollection" value="${RemoveResourceForm.resourceTypes}"/>
</tiles2:insertDefinition>
<c:set var="ssAction">
	${fn:replace(ssAction,'amp;','')}
</c:set>
<!--  GENERAL PROPERTIES TITLE -->
<!--  /  -->

<!-- tiles:insert page="View_FilterToolbar.jsp"/ -->

<!--  SERVICES CONTENTS -->
  <display:table items="${services}" cellspacing="0" cellpadding="0" width="100%" action="${ssAction}" var="service" pageSizeValue="ps" pageSize="${fn:escapeXml(param.ps)}" pageValue="pn" page="${fn:escapeXml(param.pn)}" orderValue="so" order="${owasp:forUriComponent(param.so)}" sortValue="sc" sort="${fn:escapeXml(param.sc)}">

    <display:column width="1%" property="id" 
                    title="<input type=\"checkbox\" onclick=\"ToggleAll(this, wp)\" name=\"listToggleAll\">"  
		    isLocalizedTitle="false" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox" >
      <display:checkboxdecorator name="resources" onclick="ToggleSelection(this, wp)" styleClass="listMember"/>
    </display:column>
    <display:column width="55%" property="name" sort="true" sortAttr="5"
                    defaultSort="true" title="resource.server.inventory.services.ServiceTH" 
                    href="/resource/service/Inventory.do?mode=view&rid=${fn:escapeXml(service.id)}&type=${fn:escapeXml(service.entityId.type)}" />
       
    <display:column width="30%" property="description" title="common.header.Description" />
    <display:column property="id" title="resource.common.monitor.visibility.AvailabilityTH" width="15%" styleClass="ListCellCheckbox" headerStyleClass="ListHeaderCheckbox" valign="middle">
      <display:availabilitydecorator resource="${service}"/>
    </display:column>
  </display:table>

<!--  /  -->
<tiles2:insertDefinition name=".toolbar.list">
  <tiles2:putAttribute name="listNewUrl" value="${newServiceUrl}"/>
    <tiles2:putAttribute name="deleteOnly"><c:out value="${!useroperations['createService']}"/>"</tiles2:putAttribute>
  <tiles2:putAttribute name="listItems" value="${services}"/>
  <tiles2:putAttribute name="listSize" value="${ServicesTotalSize}"/>
  <tiles2:putAttribute name="widgetInstanceName" value="${widgetInstanceName}"/>
  <tiles2:putAttribute name="pageSizeAction" value="${pssAction}"/>
  <tiles2:putAttribute name="pageSizeParam" value="ps"/>
  <tiles2:putAttribute name="pageNumAction" value="${pnsAction}"/>
  <tiles2:putAttribute name="pageNumParam" value="pn"/>
  <tiles2:putAttribute name="defaultSortColumn" value="5"/>
</tiles2:insertDefinition>

</form:form>

