<%@ page language="java" %>
<%@ page errorPage="/common/Error.jsp" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles2"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/tld/hq.tld" prefix="hq" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%--
  NOTE: This copyright does *not* cover user programs that use HQ
  program services by normal system calls through the application
  program interfaces provided as part of the Hyperic Plug-in Development
  Kit or the Hyperic Client Development Kit - this is merely considered
  normal use of the program, and does *not* fall under the heading of
  "derived work".
  
  Copyright (C) [2004-2009], Hyperic, Inc.
  This file is part of HQ.
  
  HQ is free software; you can redistribute it and/or modify
  it under the terms version 2 of the GNU General Public License as
  published by the Free Software Foundation. This program is distributed
  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
  even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  PARTICULAR PURPOSE. See the GNU General Public License for more
  details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
 --%>


<tiles2:importAttribute name="resource" ignore="true" />

<c:if test="${not empty resource}">
    <c:url var="newServiceUrl"    
        value="/resource/service/Inventory.do?mode=new&eid=${fn:escapeXml(resource.entityId.appdefKey)}" />
    <hq:userResourcePermissions debug="false" resource="${Resource}"/>    
<table border="0"><tr><td class="LinkBox">
    <c:if test="${canModify}" >
    	<c:url var="modifyUrl" value="/resource/server/Inventory.do">
	      	<c:param name="mode" value="editConfig"/>
	      	<c:param name="eid" value="${resource.entityId.appdefKey}"/>
	    </c:url>
	    <a href="${modifyUrl}">
				<fmt:message key="resource.server.inventory.link.Configure"/>
            	<img src="/images/title_arrow.gif" width="11" height="9" alt="" border="0"/>
			</a><br/>
	</c:if>
    <c:if test="${canRemove}" >
    	<tiles2:insertDefinition name=".resource.common.quickDelete">
      		<tiles2:putAttribute name="resource" value="${resource}"/>
	  		<tiles2:putAttribute name="deleteMessage">
				<fmt:message key="resource.server.inventory.link.DeleteServer"/>
	  		</tiles2:putAttribute>
    	</tiles2:insertDefinition>
		<br>
	</c:if>
    <c:choose>
        <c:when test="${canCreateChild}" >
            <a href="${newServiceUrl}" ><fmt:message key="resource.server.inventory.link.NewService"/><img src="/images/title_arrow.gif" width="11" height="9" alt="" border="0"/></a><br>
        </c:when>
        <c:otherwise>
            <fmt:message key="resource.server.inventory.link.NewService"/><img src="/images/tbb_new_locked.gif" alt="" border="0"/><br>
        </c:otherwise>
    </c:choose>   
    <tiles2:insertDefinition name=".resource.common.quickFavorites">
      <tiles2:putAttribute name="resource" value="${resource}"/>
    </tiles2:insertDefinition>
	<br />
	<a href="#" id="AddToGroupMenuLink" styleId="AddToGroupMenuLink"><fmt:message key="resource.group.AddToGroup.Title"/><img src="/images/title_arrow.gif" width="11" height="9" alt="" border="0"/></a>
</td></tr></table>

<tiles2:insertDefinition name=".resource.common.addToGroup">
	<tiles2:putAttribute name="resource" value="${resource}"/>
</tiles2:insertDefinition>

</c:if>
